-- This information tells other players more about the mod
name = "Waiter 101 v6.60"
description = "Adds new crops and over 100 crock pot recipes.\r \rv 6.x 'Leftovers Again' update:\rFlour based recipes now provide better benefits, overal recipes simplified and rebalanced. "
author = "John Flemming (MidrealmDM)"
version = "6.60"
forumthread = "nil"
 
-- Can specify a custom icon for this mod!
icon_atlas = "images/modicon.xml"
icon = "modicon.tex"

--This lets clients know if they need to get the mod from the Steam Workshop to join the game
all_clients_require_mod = true

--This is basically the opposite; it specifies that this mod doesn't affect other players at all, and if set, won't mark your server as modded
--client_only_mod = false

--This lets people search for servers with this mod by these tags 
server_filter_tags = {"food", "mod", "crock-pot", "waiter-101", "waiter", "cookpot", "101"}

-- This lets other players know if your mod is out of date, update it to match the current version in the game
api_version = 6
api_version_dst = 10

-- Determines the order in which the mod is applied compared to other mods (lower is applied last)
priority = 0.4381565292

-- Lets the game know if the mod is compatible with a given game setting
dont_starve_compatible = true
reign_of_giants_compatible = true
shipwrecked_compatible = true
hamlet_compatible = true
porkland_compatible = true
dst_compatible = true


-- user configuarble options
configuration_options =
{


	{
		name = "waiter_quality",
		label = "Hunger (ALL game foods)",
		hover = "Improve or reduce hunger effects of all foods in the game.\rThe higher the default hunger of the food, the greater the change will be.\r Percentages listed are average change for crock pot meals.",
		options =	{
						{description = "Crippling (~70%)", data = 0.90}, -- 26 / 37.5
						{description = "Minimized (~78%)", data = 0.93}, -- 29 / 37.5
						{description = "Diminished (~83%)", data = 0.95}, -- 31 / 37.5
						{description = "Reduced (~90%)", data = 0.97}, -- 33.5 / 37.5
						{description = "Typical (100%)", data = 1.00}, -- 37.5 / 37.5
						{description = "Improved (~104%)", data = 1.01}, -- 39 / 37.5
						{description = "Enriched (~111%)", data = 1.03}, -- 42 / 37.5
						{description = "Maximized (~120%)", data = 1.05}, -- 45 / 37.5
					},

		default = 1,
	},
	{
		name = "waiter_rutabeeta",
		label = "Wild Rutabeeta",
		hover = "Spawn rutabeeta plants in the world at world creation.\r Will have no change if the world has already been generated.",
		options =	{
						{description = "None", data = 0},
						{description = "Rare", data = 0.2},
						{description = "Sparse", data = 0.5},
						{description = "Typical", data = 1.0},
						{description = "Abundant", data = 1.5},
						{description = "Plentiful", data = 2.0},
					},
					
		default = 1,
	},
	{
		name = "waiter_crops",
		label = "New Crops from Seeds",
		hover = "Have a chance to grow Waiter 101 crops from normal crop seeds.",
		options =	{
						{description = "Disabled", data = 0},
						{description = "Enabled", data = 1},
					},

		default = 1,
	},
	{
		name = "waiter_garleekdrop",
		label = "Garleek in the Grass",
		hover = "Have a chance to find wild garleek when picking grass.\r Drop rate increases in spring.",
		options =	{
						{description = "None", data = 0},
						{description = "Rare", data = 0.3},
						{description = "Sparse", data = 0.5},
						{description = "Typical", data = 1},
					},

		default = 1,
	},
	{
		name = "waiter_rockydrop",
		label = "Rocky Monster Meat",
		hover = "Have a chance for rock lobsters to drop rocky meat.\r Counts as Meat, Shellfish, and Monster.",
		options =	{
						{description = "Disabled", data = 0},
						{description = "Rare (10%)", data = 0.06},
						{description = "Sometimes (25%)", data = 0.2},
						{description = "Often (40%)", data = 0.3},
						{description = "Frequent (60%)", data = 0.5},
					},

		default = 0.2,
	},
	{
		name = "waiter_meatdrop",
		label = "Tentacle Meat Drop",
		hover = "Have a chance for tentacles or merms to drop tentacle meat.\r Counts as Meat, Seafood, and Monster.",
		options =	{
						{description = "Disabled", data = 0},
						{description = "Tentacles (30%)", data = 1},
						{description = "Merms (15%)", data = 2},
						{description = "From Both", data = 3},
					},

		default = 1,
	},
	
	{
		name = "waiter_mushrooms",
		label = "Mushroom Recipies",
		hover = "Adds Waiter 101 mushroom recipes;\r also adds bad recipe (penalty) if using too many mushrooms.",
		options =	{
						{description = "Normal", data = 0},
						{description = "Enabled", data = 1},
					},

		default = 1,
	},
	
	{
		name = "waiter_frozen",
		label = "Ice Recipes",
		hover = "Adds Waiter 101 ice specific recipes;\r also adds bad recipe (penalty) if using too much ice.",
		options =	{
						{description = "Normal", data = 0},
						{description = "Enabled", data = 1},
					},

		default = 1,
	},
		
	{
		name = "waiter_cookableseeds",
		label = "Seeds",
		hover = "Allow seeds to be cookable in crock pot recipes.",
		options =	{
						{description = "Normal", data = 0},
						{description = "All Seeds", data = 1},
						{description = "Crop Seeds Only", data = 2},
						{description = "Seed Pods(Ham) Only", data = 3},
					},
		default = 1,
	
	},
	{
		name = "waiter_cookablewings",
		label = "Batilisk Wings",
		hover = "Allows Batilisk wings to be cookable in crock pot recipes.",
		options =	{
						{description = "Normal", data = 0},
						{description = "Cookable", data = 1},
					},
		default = 1,
	
	},
	{
		name = "waiter_cookablepetals",
		label = "Foliage and Petals",
		hover = "Allows flower petals and other foliage to be cookable in crock pot recipes.",
		options =	{
						{description = "Normal", data = 0},
						{description = "Cookable", data = 1},
					},

		default = 1,
	},
	{
		name = "waiter_cookableplantmeat",
		label = "Leafy Meat",
		hover = "Allows leafy meat to be cookable in crock pot recipes.\r Counts as Meat, Veggie, and Monster.",
		options =	{
						{description = "Normal", data = 0},
						{description = "Cookable", data = 1},
					},
		default = 1,
	},
	{
		name = "waiter_treedrop",
		label = "Fruit from trees",
		hover = "Adds small chance to find guavacado in certain trees.\r Adds small chance to find papayanapple in jungle trees. (Shipwrecked only)",
		options =	{
						{description = "Disabled", data = 0},
						{description = "Guavacado", data = 1},
						{description = "Papayanapple(SW)", data = 2},
						{description = "Both", data = 3},
					},

		default = 3,
	},
	{
		name = "waiter_cookablewobster",
		label = "All Wobsters -SW only",
		hover = "Allows dead and pre-cooked wobster to be added to crock pot.\r (Shipwrecked only)",
		options =	{
						{description = "Normal", data = 0},
						{description = "Cookable", data = 1},
					},

		default = 1,
	},
	{
		name = "waiter_cookableblubber",
		label = "Blubber -SW only",
		hover = "Allows blubber to be cookable in crockpot. (Shipwrecked only)\r Counts as Fat, Seafood, and Monster.",
		options =	{
						{description = "Normal", data = 0},
						{description = "Cookable", data = 1},
					},

		default = 1,
	
	},
	{
		name = "waiter_vineydrop",
		label = "Viney Bush -SW only",
		hover = "Adds chance to find Tomango or Zucchilli in viney bushes.\r (Shipwrecked only)",
		options =	{
						{description = "Normal", data = 0},
						{description = "Drops Veggies", data = 1},
					},
		default = 1,
	},

	--[[
	{
		name = "waiter_portablepot",
		label = "Warly's Pot -SW only",
		options =	{
						{description = "Accurate", data = 0},
						{description = "Visible", data = 1},
					},

		default = 1,
	},
	]]
	
		{
		name = "waiter_language",
		label = "Language -BETA-",
		hover = "Translates to other languages",
		options =	{
						{description = "English", data = 0},
						{description = "Portugues", data = 1},
						{description = "Polskie", data = 2},
					},
		default = 0,
	},

	
}
