
GLOBAL.require("map/terrain")
-- some math helpers

local function mymathclamp(num, min, max)
    return num <= min and min or (num >= max and max or num)
end
local function myround(num, idp)
    return GLOBAL.tonumber(string.format("%." .. (idp or 0) .. "f", num))
end

-- roomincrease is an array of the rooms where you want to add your prefab and a percentage how many.
-- {BGMarsh=0.8,Badlands=2,BGSavanna=1} this would result in 0.8% of the space in BGMarsh, 2% of space in Badlands and 1% of space in BGSavanna.
-- The percentage is percentage of total available space! I suggest at max 10, not more! A more common value would be ~ 0.8 The code does not allow values above 20.

local function AddThingtoWorldGeneration(prefab,roomincrease)
    local Increase = 0
    for roomstr,add in pairs(roomincrease) do
        Increase = add/100
        if Increase > 0 and Increase <= 0.2 then
            local oldpercent = 0
            local oldsum = 0
            local prefabvalue = 0
            AddRoomPreInit(roomstr, -- if the room does not exist, it is added... so in case we want to support mod rooms, we shoudl call all active rooms first, and test if this room is active at the moment
                function(room)
                    if room.contents then
                        oldpercent = room.contents.distributepercent or 0
                        if not room.contents.distributeprefabs or oldpercent==0 then
                            room.contents.distributeprefabs = {}
                            prefabvalue = 1 -- here this value does not matter, cause it is the only one
                            room.contents.distributeprefabs[prefab] = (room.contents.distributeprefabs[prefab] and room.contents.distributeprefabs[prefab] + prefabvalue) or prefabvalue
                            room.contents.distributepercent = Increase
                        else
                            oldsum = 0
                            for distprefab,number in pairs(room.contents.distributeprefabs) do
                                if type(number)=="table" then -- eg: smallmammal = {weight = 0.025, prefabs = {"rabbithole", "molehill"}},
                                    -- print("number ist eine table bei: "..tostring(distprefab).." in room: "..tostring(roomstr))
                                    for k,v in pairs(number) do
                                        -- print("k: "..tostring(k).." v: "..tostring(v))
                                        if type(v)=="number" and k=="weight" then
                                            oldsum = oldsum + v
                                        end
                                    end
                                elseif type(number)=="number" then
                                    oldsum = oldsum + number
                                end
                            end
                            room.contents.distributepercent = mymathclamp(oldpercent + Increase,0,1)
                            prefabvalue = myround((oldsum * (room.contents.distributepercent / oldpercent)) - oldsum,8)
                            room.contents.distributeprefabs[prefab] = (room.contents.distributeprefabs[prefab] and room.contents.distributeprefabs[prefab] + prefabvalue) or prefabvalue
                        end
                        -- print("Increaser Debug: "..roomstr..": added "..prefab..". oldpercent: "..oldpercent..", oldsum: "..oldsum..", newpercent: "..room.contents.distributepercent..", prefabvalue: "..prefabvalue..", newvalue: "..room.contents.distributeprefabs[prefab])
                    end
                end
            )
            print("Increaser: Add "..tostring(myround(Increase*100,2)).."% "..prefab.." to room: "..roomstr)
        elseif Increase > 0.2 then
            print("Increaser: Value of Increase is too high for "..prefab..", reduce it!")
        end
    end
end

local RutabeetaChance = GetModConfigData("waiter_rutabeeta") -- 0, 0.2, 0.5, 1.0, 1.5, or 2.0
if RutabeetaChance <0 then RutabeetaChance = 0 end
if RutabeetaChance >2 then RutabeetaChance = 2 end
-- [variable NOT USED] local CaveRutabeetaChance = RutabeetaChance*2

AddThingtoWorldGeneration("rutabeeta_plant",
	{
		BGNoise=0.04 * RutabeetaChance, -- .05 * (0 to 2) = 0.0 to 0.08 % (Do not eveer go above 0.1% Maximum for BG areas) 
		BGDirt=0.02 * RutabeetaChance -- .01 * (0 to 2) = 0.0 to 0.04 %
	}
)

AddThingtoWorldGeneration("rutabeeta_plant",
	{
		--caves (a little of everything - more common in Batcave, Mush Forests, and Misty Cavern)
		Stairs=2.0 * RutabeetaChance,
		BGNoisyCave=4.0 * RutabeetaChance,
		BGCaveRoom=4.0 * RutabeetaChance,
		CaveRoom=2.0 * RutabeetaChance,
		CaveBase=2.5 * RutabeetaChance,
		TentacleCave=3.0 * RutabeetaChance, 
		EmptyCave=4.0 * RutabeetaChance,
		MistyCavern=3.0 * RutabeetaChance,
		SunkenMarsh=3.0 * RutabeetaChance,
		RockLobsterPlains=2.0 * RutabeetaChance, 
		BGNoisyFungus=3.0 * RutabeetaChance,
		BGFungusRoom=3.0 * RutabeetaChance,
		NoisyFungus=3.0 * RutabeetaChance,
		FungusRoom=2.5 * RutabeetaChance,
		MushBase=2.0 * RutabeetaChance,
		GreenMush=1.0 * RutabeetaChance,
		RedMush=1.0 * RutabeetaChance,
		BlueMush=1.0 * RutabeetaChance,
		BatCaveRoom=2.0 * RutabeetaChance,
		BatCaveAntichamber=1.0 * RutabeetaChance,
		PitRoom=0.05 * RutabeetaChance,
		PitCave=0.05 * RutabeetaChance,
		--ruins
		Labyrinth=0.2 * RutabeetaChance,
		LabyrinthEntrance=0.2 * RutabeetaChance,
		LabyrinthCityEntrance=0.2 * RutabeetaChance,
		RuinedCity=0.5 * RutabeetaChance,
		RuinedCityEntrance=0.2 * RutabeetaChance,
		RuinedGuarden=3.00 * RutabeetaChance,
		RuinsCamp=1.0 * RutabeetaChance,
		BGMonkeyWilds=0.5 * RutabeetaChance,
		Vacant=2.0 * RutabeetaChance,
		BGWilds=1.0 * RutabeetaChance,
		PondWilds=2.0 * RutabeetaChance,
		SlurperWilds=1.0 * RutabeetaChance,
		LushWilds=3.0 * RutabeetaChance,
		LightWilds=2.0 * RutabeetaChance
	}
)

AddThingtoWorldGeneration("rutabeeta_plant",
	{	
		--surface (small chance everywhere, less chance in forest, grass and plains, more common in deciduous, and marsh)
		BGGrass=0.01 * RutabeetaChance,
		PondyGrass=0.05 * RutabeetaChance,
		BGBadlands=0.02 * RutabeetaChance,
		Badlands=0.02 * RutabeetaChance,
		Lightning=0.01 * RutabeetaChance,
		HoundyBadlands=0.01 * RutabeetaChance,
		BuzzardyBadlands=0.01 * RutabeetaChance,
		BGMarsh=0.3 * RutabeetaChance,
		Marsh=0.3 * RutabeetaChance,
		SpiderMarsh=0.2 * RutabeetaChance,
		SpiderVillageSwamp=0.2 * RutabeetaChance,
		SlightlyMermySwamp=0.3 * RutabeetaChance,
		Mermfield=1.0 * RutabeetaChance,
		Tentacleland=0.02 * RutabeetaChance,
		BGDeciduous=0.05 * RutabeetaChance,
		DeepDeciduous=0.3 * RutabeetaChance,
		DeciduousMole=0.05 * RutabeetaChance,
		DeciduousClearing=0.3 * RutabeetaChance,
		MolesvilleDeciduous=0.02 * RutabeetaChance,
		MagicalDeciduous=0.1 * RutabeetaChance,
		--shipwrecked (more common in tidal marsh and flowering jungle and sparse jungles)
		TidalMarsh=0.5 * RutabeetaChance,
		TidalMermMarsh=0.2 * RutabeetaChance,
		ToxicTidalMarsh=0.1 * RutabeetaChance,
		JungleClearing=0.2 * RutabeetaChance,
		Jungle=0.05 * RutabeetaChance,
		JungleSparse=0.1 * RutabeetaChance,
		JungleSparseHome=0.1 * RutabeetaChance,
		JungleFlower=0.2 * RutabeetaChance,
		
		--Hamlet (more common acompanying radish areas - wet areas, rainforest, marsh)
		-- Rainforest asparagus and radish .05
		BG_rainforest_base=0.3 * RutabeetaChance,
		rainforest_pugalisk=0.1 * RutabeetaChance,
		rainforest_base_nobatcave=0.3 * RutabeetaChance,
		-- Deeprainforest = radish .5
		BG_deeprainforest_base=0.4 * RutabeetaChance,
		deeprainforest_base_nobatcave=0.4 * RutabeetaChance,
		deeprainforest_fireflygrove=0.3 * RutabeetaChance,
		deeprainforest_flytrap_grove=1.0 * RutabeetaChance,
		deeprainforest_spider_monkey_nest=0.5 * RutabeetaChance,
		deeprainforest_mandrakeman=0.2 * RutabeetaChance,
		deeprainforest_anthill=0.2 * RutabeetaChance,
		deeprainforest_anthill_exit=0.1 * RutabeetaChance,
		deeprainforest_ruins_entrance=0.1 * RutabeetaChance,
		deeprainforest_ruins_exit=0.1 * RutabeetaChance,
		deeprainforest_gas_flytrap_grove=0.02 * RutabeetaChance,
		deeprainforest_gas=0.01 * RutabeetaChance,
		-- Plains asparagus and aloe 0.05
		BG_plains_base=0.02 * RutabeetaChance,
		plains_tallgrass=0.02 * RutabeetaChance,
		plains_ruins=0.01 * RutabeetaChance,
		plains_pogs=0.02 * RutabeetaChance,
		plains_base_nobatcave=0.02 * RutabeetaChance,
		-- Battleground asparagus and radish 0.05
		BG_battleground_base=0.1 * RutabeetaChance,
		battleground_ribs=0.05 * RutabeetaChance,
		battleground_claw=0.02 * RutabeetaChance,
		battleground_leg=0.03 * RutabeetaChance,
		battleground_head=0.05 * RutabeetaChance,
		-- painted terrain (tuber tree, no other crops)
		BG_painted_base=1.0 * RutabeetaChance,
		painted_base_nobatcave=1.0 * RutabeetaChance,
		
		BG_cultivated_base=0.6 * RutabeetaChance,
		cultivated_base_1=0.3 * RutabeetaChance,
		cultivated_base_2=0.4 * RutabeetaChance,
		piko_land=0.5 * RutabeetaChance
		
	}
)
	
-- rutabeeta will not grow on these terrains	
GLOBAL.terrain.filter.rutabeeta_plant = 
	{
	GLOBAL.GROUND.ROAD, GLOBAL.GROUND.WOODFLOOR, GLOBAL.GROUND.CARPET, GLOBAL.GROUND.CHECKER, GLOBAL.GROUND.TILES,
	GLOBAL.GROUND.OCEAN_SHALLOW, GLOBAL.GROUND.OCEAN_MEDIUM, GLOBAL.GROUND.OCEAN_DEEP,
	GLOBAL.GROUND.OCEAN_CORAL, GLOBAL.GROUND.OCEAN_SHIPGRAVEYARD, GLOBAL.GROUND.MANGROVE,
	GLOBAL.GROUND.INTERIOR, GLOBAL.GROUND.FOUNDATION, GLOBAL.GROUND.COBBLEROAD, GLOBAL.GROUND.LILYPOND, GLOBAL.GROUND.SUBURB
	}

--[[
"BGDirt" -- rocky terrain
"BGNoise" -- generic all over (keep below 1% occurences)
"BGBadlands","Badlands","Lightning","HoundyBadlands","BuzzardyBadlands","Moundfield",
"BGDeciduous","DeepDeciduous","DeciduousMole","DeciduousClearing","PondyGrass","MolesvilleDeciduous","MagicalDeciduous",
"BGGrassBurnt","BGGrass","MandrakeHome","GrassyMoleColony","FlowerPatch","EvilFlowerPatch","Waspnests","WalrusHut_Grassy","Walrusfield","PigTown","PigVillage","PigKingdom","PigCamp",
"BGCrappyForest","BGForest","BGDeepForest","BurntForest","CrappyDeepForest","DeepForest","Forest","ForestMole","CrappyForest","BurntClearing","Clearing",
"SpiderForest","SpiderCity","Graveyard",  
"BGMarsh","Marsh","SpiderMarsh","SlightlyMermySwamp","SpiderVillageSwamp","Mermfield","Tentacleland",
"BGRocky","Rocky","GenericRockyNoThreat","MolesvilleRocky","BGChessRocky","RockyBuzzards","SpiderVillage","WalrusHut_Rocky","Tallbirdfield","TallbirdNests","PigCity",
"BGSavanna","Plain","BarePlain","WalrusHut_Plains","BeefalowPlain",
CAVES=
BGNoisyCave, BGCaveRoom, CaveRoom, NoisyCave, Stairs, EmptyCave, CaveBase,
RockLobsterPlains, MistyCavern, TentacleCave, SunkenMarsh,
RabitFungusRoom, RabbitTown, RabbitCity,
BGNoisyFungus, BGFungusRoom, FungusRoom, MushBase, GreenMush, RedMush, BlueMush, NoisyFungus,
BatCaveRoom, BatCaveAntichamber, PitRoom, PitCave,  
PitEdgeCave (impassible), MistyPitRoom (impassible), WaterFilledAbyss (impassible),
BGSinkholeRoom (sinkhole), SinkholeRoom (sinkhole), SinkBase (sinkhole),
RUINS
Labyrinth, LabyrinthEntrance, LabyrinthCityEntrance, RuinedCity, RuinedCityEntrance, RuinedGuarden,
RuinsCamp, BGMonkeyWilds, Vacant BGWilds, PondWilds, SlurperWilds, LushWilds, LightWilds,
Altar (tiles), Barracks (tiles), Bishops (tiles), Spiral (tiles), BrokenAltar (tiles),
SacredEntrance (tiles), BGSacredEntrance (tiles), BGMilitary (underrock), MiltaryEntrance (underrock)

ADDED WITH SHIPWRECKED = 
Mangrove, BG_Mangrove, BareMangrove, NoOcMangrove, MangroveOxBoon, MangroveWetlands
JungleClearing, Jungle, JungleSparse, JungleSparseHome, JungleDense, JungleDenseHome, JungleDenseMed, JungleDenseBerries, JungleDenseMedHome, JungleDenseVery,
JunglePigs, JunglePigGuards, JungleBees, JungleFlower, JungleSpidersDense, JungleSpiderCity,
JungleBamboozled, JungleMonkeyHell, JungleCritterCrunch, JungleDenseCritterCrunch, JungleFrogSanctuary,
JungleShroomin, JungleRockyDrop, JungleEyePlant, JungleGrassy, JungleSappy, JungleEvilFlowers, JungleParrotSanctuary,
JungleNoBerry, JungleNoRock, JungleNoMushroom, JungleMorePalms, JungleSkeleton
SW_Graveyard
BGGrassIsland
BeachClear, BeachSand, BeachsAndHome, BeachUnkept, BeachUnkeptDubloon, BeachGravel, BeachSinglePalmTreeHome, DoydoyBeach, BeachWaspy, BeachPalmForest,
BeachPiggy, BeesBeach, BeachCrabTown, BeachDunes, BeachGrassy, BeachSappy, BeachRocky, BeachLimpety, BeachSpider,
BeachNoFlowers, BeachFlowers, BeachNoLimpets, BeachNoCrabbits, BeachPalmCasino, BeachShells, BeachSkull
BG_Magma, Magma, MagmaForest, MagmaTallbird, MagmaGold, MagmaGoldBoon, MagmaSpiders, MagmaVolcano, GenericMagmaNoThreat, MagmaHome, MagmaHomeBoon
TidalMarsh, TidalMermMarsh, ToxicTidalMarsh
NoOxMeadow, MeadowOxBoon, MeadowFlowery, MeadowBees, MeadowCarroty, MeadowSappy, MeadowSpider, MeadowRocky, MeadowMandrake
BGChessRocky, BGRocky, Rocky,
MolesvilleRockyIsland, RockySpiders, RockyGold, RockyFlint, RockyTallBird, RockyBlueMushroom, RockyGoldBoon, RockyIsland
Forest1, Forest2, ForestSpiders, Forest4 -- These are all evergreen forests

-- and here you see which mob belongs to which terrain I think

Spiders = {"SpiderMarsh","SpiderForest","SpiderCity","SpiderVillage","SpiderVillageSwamp","SpiderfieldEasy","Spiderfield",},
Wasps = {"BeeClearing","FlowerPatch","EvilFlowerPatch","Waspnests",}, -- everywhere were bees are
Merms = {"SlightlyMermySwamp","MermTown","Mermfield",},
Tentacles = {"BGMarsh","Marsh","Tentacleland",},
Walrus = {"WalrusHut_Plains","WalrusHut_Grassy","WalrusHut_Rocky","Walrusfield",},
Hounds = {"HoundyBadlands","Moundfield",},
Clockworks = {"ChessArea","MarbleForest","ChessMarsh","ChessForest","ChessBarrens","BGChessRocky","Chessfield",},
GuardPigs = {}, -- guardpigs have no natural room...

-- neutral
Bees = {"BeeClearing","FlowerPatch","EvilFlowerPatch","Waspnests",},
Tallbirds = {"TallbirdNests","Tallbirdfield",},
Beefalos = {"BeefalowPlain",},
Pigs = {"PigTown","PigVillage","PigKingdom","PigCity","PigCamp",},
Rabbits = {"BGSavanna","Plain","BarePlain",},
Moles = {"GrassyMoleColony","DeciduousMole","MolesvilleDeciduous","ForestMole","MolesvilleRocky",},
Voaltgoats = {"Lightning",},
Catcoons = {"BGDeciduous","DeepDeciduous","MagicalDeciduous","DeciduousMole","PondyGrass",}
]]