-- define or redefine global variable to store tag data
global("FOODTAGDEFINITIONS")
FOODTAGDEFINITIONS = FOODTAGDEFINITIONS or {}

-- Code by Ivanx (Craft Pot)
-- A public API for ingredient tag management
-- This function should be used by modders to add info about food tags, specifically atlas
-- Function performs merge, so it is safe to call multiple times or with different data
--
-- So Far TagData only takes following keys: atlas, tex, name
global("AddFoodTag")
AddFoodTag = function(tag, data)
  local mergedData = FOODTAGDEFINITIONS[tag] or {}

  for k, v in pairs(data) do
    mergedData[k] = v
  end

  FOODTAGDEFINITIONS[tag] = mergedData
end

-- common tags
 -- New Food Tags used with Craft Pot
AddFoodTag('meat', { name= 'Meats', atlas="images/food_tags.xml" })
AddFoodTag('veggie', { name="Vegetables", atlas="images/food_tags.xml" })
AddFoodTag('fish', { name="Fish", atlas="images/food_tags.xml" })

AddFoodTag('caffeine', { name="Caffeine", atlas="images/food_tags.xml" })
AddFoodTag('stone', { name="Minerals", atlas="images/food_tags.xml" })


AddFoodTag('fruit', { name="Fruits", atlas="images/food_tags.xml" })
AddFoodTag('egg', { name="Eggs", atlas="images/food_tags.xml" })
AddFoodTag('red_cap', { name="Red Mushroom", atlas="images/food_tags.xml" })
AddFoodTag('blue_cap', { name="Blue Mushroom", atlas="images/food_tags.xml" })
AddFoodTag('green_cap', { name="Green Mushroom", atlas="images/food_tags.xml" })

AddFoodTag('frozen', { name="Ice", atlas="images/food_tags.xml" })
AddFoodTag('magic', { name="Magic", atlas="images/food_tags.xml" })
AddFoodTag('berries', { name="Berries", atlas="images/food_tags.xml" })
AddFoodTag('shell', { name="Shell", atlas="images/food_tags.xml" })
AddFoodTag('avacado', { name="Avacado", atlas="images/food_tags.xml" })

AddFoodTag('pineapple', { name="Pineapple", atlas="images/food_tags.xml" })
AddFoodTag('coconut', { name="Coconut", atlas="images/food_tags.xml" })
AddFoodTag('roe', { name="Roe", atlas="images/food_tags.xml" })
AddFoodTag('banana', { name="Banana", atlas="images/food_tags.xml" })

AddFoodTag('alkaline', { name="Alkaline", atlas="images/food_tags.xml" })
AddFoodTag('flora', { name="Flora", atlas="images/food_tags.xml" })
AddFoodTag('fungus', { name="Fungus", atlas="images/food_tags.xml" })
AddFoodTag('leek', { name="Leeks", atlas="images/food_tags.xml" })
AddFoodTag('citrus', { name="Citrus", atlas="images/food_tags.xml" })
AddFoodTag('dairy', { name="Dairy", atlas="images/food_tags.xml" })
AddFoodTag('fat', { name="Fats", atlas="images/food_tags.xml" })

AddFoodTag('mushrooms', { name="Mushrooms", atlas="images/food_tags.xml" })
AddFoodTag('nut', { name="Nuts", atlas="images/food_tags.xml" })
AddFoodTag('poultry', { name="Poultry", atlas="images/food_tags.xml" })
AddFoodTag('pungent', { name="Pungents", atlas="images/food_tags.xml" })
AddFoodTag('grapes', { name="Grapes", atlas="images/food_tags.xml" })
AddFoodTag('wrapper', { name="Wrappers", atlas="images/food_tags.xml" })
AddFoodTag('decoration', { name="Decorations", atlas="images/food_tags.xml" })
AddFoodTag('seed', { name="Seeds", atlas="images/food_tags.xml" })

AddFoodTag('root', { name="Roots", atlas="images/food_tags.xml" })
AddFoodTag('seafood', { name="Seafood", atlas="images/food_tags.xml" })
AddFoodTag('shellfish', { name="Shellfish", atlas="images/food_tags.xml" })
AddFoodTag('spices', { name="Spices", atlas="images/food_tags.xml" })
AddFoodTag('wings', { name="Wings", atlas="images/food_tags.xml" })
AddFoodTag('flour', { name="Flour", atlas="images/food_tags.xml" })
AddFoodTag('monster', { name="Monster", atlas="images/food_tags.xml" })
AddFoodTag('sweetener', { name="Sweeteners", atlas="images/food_tags.xml" })

AddFoodTag('squash', { name="Squash", atlas="images/food_tags.xml" })
AddFoodTag('starch', { name="Starch", atlas="images/food_tags.xml" })
AddFoodTag('tuber', { name="Tuber", atlas="images/food_tags.xml" })
AddFoodTag('precook', { name="Precooked", atlas="images/food_tags.xml" })
AddFoodTag('cactus', { name="Cactus", atlas="images/food_tags.xml" })
AddFoodTag('jell', { name="Jell", atlas="images/food_tags.xml" })
AddFoodTag('dried', { name="Dried", atlas="images/food_tags.xml" })
AddFoodTag('inedible', { name="Inedibles", atlas="images/food_tags.xml" })