local assets =
{
	Asset("ANIM", "anim/chowder.zip"),
    Asset("ATLAS", "images/inventoryimages/chowder.xml"),
	-- Asset("ATLAS", "images/inventoryimages/inv_sides.xml"),
}

local prefabs = 
{
	"spoiled_food",
}

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	if TheSim:GetGameID() =="DST" then inst.entity:AddNetwork() end

	MakeInventoryPhysics(inst)
	-- MakeSmallBurnable(inst)
	MakeSmallPropagator(inst)
		
	if W101_FLOAT==1 then
		MakeBlowInHurricane(inst, TUNING.WINDBLOWN_SCALE_MIN.LIGHT, TUNING.WINDBLOWN_SCALE_MAX.MEDIUM)
	else end
		
	inst.AnimState:SetBank("chowder")
	inst.AnimState:SetBuild("chowder")
	inst.AnimState:PlayAnimation("OnGround", true)
	-- inst.AnimState:PlayAnimation("idle")
	
	inst:AddTag("preparedfood")
	inst:AddTag("catfood")
	    
	if TheSim:GetGameID()=="DST" then
		if not TheWorld.ismastersim then
			return inst
		end
		
		inst.entity:SetPristine()
	end

	inst:AddComponent("edible")
	inst.components.edible.foodtype = "MEAT"
	inst.components.edible.foodstate = "PREPARED"
	inst.components.edible.healthvalue = TUNING.HEALING_MEDLARGE
	inst.components.edible.hungervalue = TUNING.CALORIES_MED*1.6
	inst.components.edible.sanityvalue = TUNING.SANITY_SMALL

	inst:AddComponent("inspectable")

	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/chowder.xml"
	-- inst.components.inventoryitem.atlasname = "images/inventoryimages/inv_sides.xml"

	inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM

	inst:AddComponent("perishable")
	inst.components.perishable:SetPerishTime(TUNING.PERISH_SUPERFAST)
	inst.components.perishable:StartPerishing()
	inst.components.perishable.onperishreplacement = "spoiled_food"

	inst:AddComponent("tradable")

	return inst
end


return Prefab( "common/inventory/chowder", fn, assets, prefabs )