local assets =
{
	Asset("ANIM", "anim/dragon_roll.zip"),
    Asset("ATLAS", "images/inventoryimages/dragon_roll.xml"),
}

local prefabs = 
{
	"spoiled_food",
}

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	if TheSim:GetGameID() =="DST" then inst.entity:AddNetwork() end

	MakeSmallBurnable(inst)
	MakeSmallPropagator(inst)
	MakeInventoryPhysics(inst)
	
	if W101_FLOAT== 1 then 
	 	MakeInventoryFloatable(inst, "idle_water", "idle")
		MakeBlowInHurricane(inst, TUNING.WINDBLOWN_SCALE_MIN.LIGHT, TUNING.WINDBLOWN_SCALE_MAX.MEDIUM)
	else end
	
	inst.AnimState:SetBank("dragon_roll")
	inst.AnimState:SetBuild("dragon_roll")
	inst.AnimState:PlayAnimation("idle")
	
	inst:AddTag("preparedfood")
	 
	if W101_DST_FLOAT==1 then
	    MakeInventoryFloatable(inst, "small", 0.2, 0.95)
	end

	if TheSim:GetGameID()=="DST" then
		if not TheWorld.ismastersim then
			return inst
		end
		inst.entity:SetPristine()
	end
	
	inst:AddComponent("edible")
	inst.components.edible.foodtype = "MEAT"
	inst.components.edible.foodstate = "PREPARED"
	inst.components.edible.healthvalue = TUNING.HEALING_HUGE
	inst.components.edible.hungervalue = TUNING.CALORIES_HUGE
	inst.components.edible.sanityvalue = TUNING.SANITY_SMALL

	if W101_TEMP== 1 then 
	inst.components.edible.temperaturedelta = TUNING.HOT_FOOD_BONUS_TEMP*0.4
	inst.components.edible.temperatureduration = TUNING.FOOD_TEMP_LONG*16
	else end
	-- Provides 16 heat for 240 seconds
	
	
	inst:AddComponent("inspectable")

	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/dragon_roll.xml"
	-- inst.components.inventoryitem.atlasname = "images/inventoryimages/inv_sides.xml"

	inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM

	inst:AddComponent("perishable")
	inst.components.perishable:SetPerishTime(TUNING.PERISH_FAST)
	inst.components.perishable:StartPerishing()
	inst.components.perishable.onperishreplacement = "spoiled_food"

	inst:AddComponent("bait")
	inst:AddComponent("tradable")
	inst.components.tradable.dubloonvalue = 2
	
	if TheSim:GetGameID()=="DST" then
		MakeHauntableLaunchAndIgnite(inst)
	else end
		
    return inst
end


return Prefab( "common/inventory/dragon_roll", fn, assets, prefabs )