local assets =
{
	Asset("ANIM", "anim/gumbo.zip"),
    Asset("ATLAS", "images/inventoryimages/gumbo.xml"),
}

local prefabs = 
{
	"spoiled_food",
}

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	if TheSim:GetGameID() =="DST" then inst.entity:AddNetwork() end

	--MakeSmallBurnable(inst)
	MakeSmallPropagator(inst)
	MakeInventoryPhysics(inst)
	
	if W101_FLOAT==1 then
		MakeBlowInHurricane(inst, TUNING.WINDBLOWN_SCALE_MIN.LIGHT, TUNING.WINDBLOWN_SCALE_MAX.MEDIUM)
	else end
	
	inst.AnimState:SetBank("gumbo")
	inst.AnimState:SetBuild("gumbo")
	inst.AnimState:PlayAnimation("idle")

	inst:AddTag("preparedfood")
	    
	if TheSim:GetGameID()=="DST" then
		if not TheWorld.ismastersim then
			return inst
		end
		
		inst.entity:SetPristine()
	end

	inst:AddComponent("edible")
	inst.components.edible.foodtype = "MEAT"
	inst.components.edible.foodstate = "PREPARED"
	inst.components.edible.healthvalue = TUNING.HEALING_MEDLARGE
	inst.components.edible.hungervalue = TUNING.CALORIES_LARGE
	inst.components.edible.sanityvalue = TUNING.SANITY_TINY
	
	if W101_TEMP== 1 then 
	inst.components.edible.temperaturedelta = TUNING.HOT_FOOD_BONUS_TEMP
	inst.components.edible.temperatureduration = TUNING.FOOD_TEMP_AVERAGE*2
	else end
	-- Provides 40 heat for 20 seconds	
	
	inst:AddComponent("inspectable")

	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/gumbo.xml"
	-- inst.components.inventoryitem.atlasname = "images/inventoryimages/inv_sides.xml"

	inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM

	inst:AddComponent("perishable")
	inst.components.perishable:SetPerishTime(TUNING.PERISH_FAST)
	inst.components.perishable:StartPerishing()
	inst.components.perishable.onperishreplacement = "spoiled_food"
	
	if TheSim:GetGameID()=="DST" then
		MakeHauntableLaunchAndPerish(inst)
	else end
		
    return inst
end

return Prefab( "common/inventory/gumbo", fn, assets, prefabs )