local assets =
{
	Asset("ANIM", "anim/limongelo.zip"),
    Asset("ATLAS", "images/inventoryimages/limongelo.xml"),
}

local prefabs = 
{
	"spoiled_food",
}

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	if TheSim:GetGameID() =="DST" then inst.entity:AddNetwork() end

	MakeSmallBurnable(inst)
	MakeSmallPropagator(inst)
	MakeInventoryPhysics(inst)

	if W101_FLOAT==1 then
		MakeBlowInHurricane(inst, TUNING.WINDBLOWN_SCALE_MIN.MEDIUM, TUNING.WINDBLOWN_SCALE_MAX.HEAVY)
	else end
	
	inst.AnimState:SetBank("limongelo")
	inst.AnimState:SetBuild("limongelo")
	inst.AnimState:PlayAnimation("OnGround", true)
	-- inst.AnimState:PlayAnimation("idle")
	
	inst:AddTag("preparedfood")
		    
	if TheSim:GetGameID()=="DST" then
		if not TheWorld.ismastersim then
			return inst
		end
		inst.entity:SetPristine()
	end

	inst:AddComponent("edible")
	inst.components.edible.foodtype = "GENERIC"
	inst.components.edible.foodstate = "PREPARED"
	inst.components.edible.healthvalue = TUNING.HEALING_MED
	inst.components.edible.hungervalue = TUNING.CALORIES_LARGE
	inst.components.edible.sanityvalue = TUNING.SANITY_MEDLARGE
	
	inst:AddComponent("inspectable")

	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/limongelo.xml"

	inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM

	inst:AddComponent("perishable")
	inst.components.perishable:SetPerishTime(TUNING.PERISH_SLOW)
	inst.components.perishable:StartPerishing()
	inst.components.perishable.onperishreplacement = "spoiled_food"

	inst:AddComponent("tradable")
	inst.components.tradable.dubloonvalue = 2
	
	if TheSim:GetGameID()=="DST" then
		MakeHauntableLaunch(inst)
	else end
		
    return inst
end


return Prefab( "common/inventory/limongelo", fn, assets, prefabs )