
local assets =
{
	Asset("ANIM", "anim/liquor.zip"),
    Asset("ATLAS", "images/inventoryimages/liquor.xml"),
	Asset("ANIM", "anim/explode.zip"),
	
	Asset("SOUNDPACKAGE", "sound/waiter.fev"),
	Asset("SOUND", "sound/waiter.fsb" ),
}

local prefabs = 
{
	"explode_small",
	"spoiled_food"
}

local function OnIgniteFn(inst)
    inst.SoundEmitter:PlaySound("waiter/liquor/burble", "burble")
end

local function OnExplodeFn(inst)
    local pos = Vector3(inst.Transform:GetWorldPosition())
    inst.SoundEmitter:KillSound("burble")
    inst.SoundEmitter:PlaySound("dontstarve/common/blackpowder_explo")

    local explode = SpawnPrefab("explode_small")
    local pos = inst:GetPosition()
    explode.Transform:SetPosition(pos.x, pos.y, pos.z)

    --local explode = PlayFX(pos,"explode", "explode", "small")
	if TheSim:GetGameID() ~="DST" then
    explode.AnimState:SetBloomEffectHandle( "shaders/anim.ksh" )
    explode.AnimState:SetLightOverride(1)
	end
end

--[[local function OnExtinguishFn(inst)
    inst.SoundEmitter:KillSound("burble")
end]]

local function OnPutInInv(inst, owner)
    if owner.prefab == "mole" then
        inst.components.explosive:OnBurnt()
    end
end

local function fn(Sim)
	local inst = CreateEntity()
	
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
    inst.entity:AddSoundEmitter()
    if TheSim:GetGameID() =="DST" then inst.entity:AddNetwork() end
		
	MakeInventoryPhysics(inst)
	if W101_FLOAT==1 then
		MakeBlowInHurricane(inst, TUNING.WINDBLOWN_SCALE_MIN.LIGHT, TUNING.WINDBLOWN_SCALE_MAX.MEDIUM)
	else end
	
    inst.AnimState:SetBank("liquor")
    inst.AnimState:SetBuild("liquor")
    inst.AnimState:PlayAnimation("idle")

	inst:AddTag("preparedfood")
	
	if TheSim:GetGameID()=="DST" then
			if not TheWorld.ismastersim then
				return inst
			end
		inst.entity:SetPristine()
	end
	
    inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM

    inst:AddComponent("inspectable")
	
	inst:AddComponent("fuel")
    inst.components.fuel.fuelvalue = TUNING.LARGE_FUEL
    -- inst.components.burnable:MakeDragonflyBait(3)
	
	MakeSmallBurnable(inst, 3+math.random()*3)
    MakeSmallPropagator(inst)
	-- inst.components.burnable:SetOnExtinguishFn(OnExtinguishFn)
	if TheSim:GetGameID() =="DST" then
		inst.components.burnable:SetOnBurntFn(nil)
		inst.components.burnable:SetOnIgniteFn(OnIgniteFn)
	end
		
	inst:AddComponent("explosive")
	if TheSim:GetGameID()~="DST" then
		inst.components.explosive:SetOnIgniteFn(OnIgniteFn)
	else end
	inst.components.explosive:SetOnExplodeFn(OnExplodeFn)
    inst.components.explosive.explosivedamage = TUNING.GUNPOWDER_DAMAGE * 0.25
    	
    --[[
	if TheSim:GetGameID()~="DST" then
		if IsDLCEnabled(CAPY_DLC) then 
			inst:AddComponent("appeasement")
			inst.components.appeasement.appeasementvalue = -TUNING.WRATH_LARGE
		else end
    else end
	]]
	
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem:SetOnPutInInventoryFn(OnPutInInv)
    inst.components.inventoryitem.atlasname = "images/inventoryimages/liquor.xml"
	
	inst:AddComponent("edible")
	inst.components.edible.foodtype = "GENERIC"
	inst.components.edible.foodstate = "PREPARED"
	inst.components.edible.healthvalue = -TUNING.HEALING_SMALL
	inst.components.edible.hungervalue = TUNING.CALORIES_MED*2
	inst.components.edible.sanityvalue = TUNING.SANITY_MED
	
	if W101_TEMP==1 then
	inst.components.edible.temperaturedelta = TUNING.COLD_FOOD_BONUS_TEMP*0.5
	inst.components.edible.temperatureduration = TUNING.FOOD_TEMP_AVERAGE
	else end
	-- Provides 20 cool for 10 seconds
	
	inst:AddComponent("perishable")
	inst.components.perishable:SetPerishTime(TUNING.PERISH_SUPERSLOW)
	inst.components.perishable:StartPerishing()
	inst.components.perishable.onperishreplacement = "spoiled_food"
	
	if TheSim:GetGameID()=="DST" then
	MakeHauntableLaunchAndIgnite(inst)
	else end
	
    return inst
end

return Prefab( "common/inventory/liquor", fn, assets, prefabs)