local assets =
{
	Asset("ANIM", "anim/lo_mein_chicken.zip"),
    Asset("ATLAS", "images/inventoryimages/lo_mein_chicken.xml"),
}

local prefabs = 
{
	"leftovers",
	"spoiled_food",
}

local function OnEaten(inst, eater)
  if eater:HasTag("player") then
	  eater.components.inventory:GiveItem(SpawnPrefab("leftovers"))
  end  
end

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	if TheSim:GetGameID() =="DST" then inst.entity:AddNetwork() end

	MakeInventoryPhysics(inst)
	MakeSmallBurnable(inst)
	MakeSmallPropagator(inst)

	if W101_FLOAT== 1 then
		MakeInventoryFloatable(inst, "idle_water", "idle")
		MakeBlowInHurricane(inst, TUNING.WINDBLOWN_SCALE_MIN.LIGHT, TUNING.WINDBLOWN_SCALE_MAX.LIGHT)
	else end
	
	inst.AnimState:SetBank("lo_mein_chicken")
	inst.AnimState:SetBuild("lo_mein_chicken")
	inst.AnimState:PlayAnimation("idle")
	
	inst:AddTag("preparedfood")
	inst:AddTag("catfood")
 
 	if W101_DST_FLOAT==1 then
	    MakeInventoryFloatable(inst, "small", 0.2, 0.95)
	end

	if TheSim:GetGameID()=="DST" then
		if not TheWorld.ismastersim then
			return inst
		end
		inst.entity:SetPristine()
	end

	inst:AddComponent("edible")
	inst.components.edible.foodtype = "MEAT"
	inst.components.edible.foodstate = "PREPARED"
	inst.components.edible.healthvalue = TUNING.HEALING_MEDSMALL*2
	inst.components.edible.hungervalue = TUNING.CALORIES_MED*2.5
	inst.components.edible.sanityvalue = TUNING.SANITY_TINY
	inst.components.edible:SetOnEatenFn(OnEaten)

	if W101_TEMP== 1 then 
	inst.components.edible.temperaturedelta = TUNING.HOT_FOOD_BONUS_TEMP*0.5
	inst.components.edible.temperatureduration = TUNING.FOOD_TEMP_LONG
	else end
	-- Provides 20 heat for 15 seconds	
	
	inst:AddComponent("inspectable")

	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/lo_mein_chicken.xml"

	inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM

	inst:AddComponent("perishable")
	inst.components.perishable:SetPerishTime(TUNING.PERISH_FAST)
	inst.components.perishable:StartPerishing()
	inst.components.perishable.onperishreplacement = "spoiled_food"
	
	inst:AddComponent("tradable")
	inst.components.tradable.goldvalue = 1
	inst.components.tradable.dubloonvalue = 3

	if TheSim:GetGameID()=="DST" then
		MakeHauntableLaunchAndPerish(inst)
	else end
		
    return inst
end


return Prefab( "common/inventory/lo_mein_chicken", fn, assets, prefabs )