local assets =
{
	Asset("ANIM", "anim/mush_melon_cooked.zip"),
    Asset("ATLAS", "images/inventoryimages/mush_melon_cooked.xml"),
}

local prefabs = 
{
	"spoiled_food",
}

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	if TheSim:GetGameID() =="DST" then inst.entity:AddNetwork() end

	MakeInventoryPhysics(inst)
	MakeSmallBurnable(inst)
	MakeSmallPropagator(inst)

	if W101_FLOAT==1 then
		MakeInventoryFloatable(inst, "idle_water", "idle")
		MakeBlowInHurricane(inst, TUNING.WINDBLOWN_SCALE_MIN.LIGHT, TUNING.WINDBLOWN_SCALE_MAX.LIGHT)
	else end
	
	inst.AnimState:SetBank("mush_melon_cooked")
	inst.AnimState:SetBuild("mush_melon_cooked")
	inst.AnimState:PlayAnimation("idle")
			
	inst:AddTag("preparedfood")
	inst:AddTag("honeyed")
		    
	if W101_DST_FLOAT==1 then
	    MakeInventoryFloatable(inst, "small", 0.2, 0.95)
	end

	if TheSim:GetGameID()=="DST" then
		if not TheWorld.ismastersim then
			return inst
		end
		inst.entity:SetPristine()
	end
	
	inst:AddComponent("edible")
	inst.components.edible.foodtype = "GENERIC"
	inst.components.edible.foodstate = "COOKED"
	inst.components.edible.healthvalue = TUNING.HEALING_MEDSMALL*1.5
	inst.components.edible.hungervalue = TUNING.CALORIES_MEDSMALL
	inst.components.edible.sanityvalue = TUNING.SANITY_LARGE

	inst:AddComponent("inspectable")

	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/mush_melon_cooked.xml"

	inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM

	inst:AddComponent("perishable")
	inst.components.perishable:SetPerishTime(TUNING.PERISH_SUPERFAST)
	inst.components.perishable:StartPerishing()
	inst.components.perishable.onperishreplacement = "spoiled_food"

	inst:AddComponent("tradable")
	inst.components.tradable.goldvalue = 2
	inst.components.tradable.dubloonvalue = 5
	
	if TheSim:GetGameID()=="DST" then
		MakeHauntableLaunch(inst)
	else end
		
    return inst
end


return Prefab( "common/inventory/mush_melon_cooked", fn, assets, prefabs )