local assets =
{
	Asset("ANIM", "anim/mushroom_medley.zip"),
    Asset("ATLAS", "images/inventoryimages/mushroom_medley.xml"),
}

local prefabs = 
{
	"mushroom_malody",
	"spoiled_food",
}

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	if TheSim:GetGameID() =="DST" then inst.entity:AddNetwork() end

	MakeInventoryPhysics(inst)
	MakeSmallBurnable(inst)
	MakeSmallPropagator(inst)

	if W101_FLOAT==1 then
		MakeInventoryFloatable(inst, "idle_water", "idle")
		MakeBlowInHurricane(inst, TUNING.WINDBLOWN_SCALE_MIN.LIGHT, TUNING.WINDBLOWN_SCALE_MAX.MEDIUM)
	else end

	inst.AnimState:SetBank("mushroom_medley")
	inst.AnimState:SetBuild("mushroom_medley")
	inst.AnimState:PlayAnimation("idle")
	
	inst:AddTag("preparedfood")

	if W101_DST_FLOAT==1 then
	    MakeInventoryFloatable(inst, "small", 0.2, 0.95)
	end
    
	if TheSim:GetGameID()=="DST" then
		if not TheWorld.ismastersim then
			return inst
		end
		inst.entity:SetPristine()
	end

	inst:AddComponent("edible")
	inst.components.edible.foodtype = "VEGGIE"
	inst.components.edible.foodstate = "PREPARED"
	inst.components.edible.healthvalue = TUNING.HEALING_MEDLARGE
	inst.components.edible.hungervalue = TUNING.CALORIES_LARGE
	inst.components.edible.sanityvalue = TUNING.SANITY_MEDLARGE

	inst:AddComponent("inspectable")

	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/mushroom_medley.xml"

	inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM

	inst:AddComponent("perishable")
	inst.components.perishable:SetPerishTime(TUNING.PERISH_ONE_DAY)
	inst.components.perishable:StartPerishing()
	inst.components.perishable.onperishreplacement = "mushroom_malody"
	
	-- inst:AddComponent("tradable")
	
	if TheSim:GetGameID()=="DST" then
		MakeHauntableLaunchAndPerish(inst)
	else end
		
    return inst
end


return Prefab( "common/inventory/mushroom_medley", fn, assets, prefabs )