local assets =
{
	Asset("ANIM", "anim/pina_colada.zip"),
    Asset("ATLAS", "images/inventoryimages/pina_colada.xml"),
}

local prefabs = 
{
	"spoiled_food"
}

local function fn(Sim)
	local inst = CreateEntity()
	
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
    inst.entity:AddSoundEmitter()
    if TheSim:GetGameID() =="DST" then inst.entity:AddNetwork() end
		
	MakeInventoryPhysics(inst)
		
	if W101_FLOAT==1 then
		MakeBlowInHurricane(inst, TUNING.WINDBLOWN_SCALE_MIN.LIGHT, TUNING.WINDBLOWN_SCALE_MAX.MEDIUM)
	else end
	
    inst.AnimState:SetBank("pina_colada")
    inst.AnimState:SetBuild("pina_colada")
    inst.AnimState:PlayAnimation("idle")

	inst:AddTag("preparedfood")
	
	if TheSim:GetGameID()=="DST" then
			if not TheWorld.ismastersim then
				return inst
			end
		inst.entity:SetPristine()
	end
	
    inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM

    inst:AddComponent("inspectable")
	
	inst:AddComponent("fuel")
    inst.components.fuel.fuelvalue = TUNING.SMALL_FUEL
	
	MakeSmallBurnable(inst, TUNING.SMALL_BURNTIME)
    MakeSmallPropagator(inst)
	-- inst.components.burnable:MakeDragonflyBait(3)
	
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/pina_colada.xml"
	
	inst:AddComponent("edible")
	inst.components.edible.foodtype = "GENERIC"
	inst.components.edible.foodstate = "PREPARED"
	inst.components.edible.healthvalue = -TUNING.HEALING_MEDSMALL
	inst.components.edible.hungervalue = TUNING.CALORIES_LARGE
	inst.components.edible.sanityvalue = TUNING.SANITY_SMALL*2.5
	
	if W101_TEMP==1 then 
	inst.components.edible.temperaturedelta = TUNING.COLD_FOOD_BONUS_TEMP
	inst.components.edible.temperatureduration = TUNING.FOOD_TEMP_AVERAGE
	else end
	-- Provides 40 cool for 10 seconds
	
	inst:AddComponent("perishable")
	inst.components.perishable:SetPerishTime(TUNING.PERISH_SUPERSLOW)
	inst.components.perishable:StartPerishing()
	inst.components.perishable.onperishreplacement = "spoiled_food"
	
	if TheSim:GetGameID()=="DST" then
		MakeHauntableLaunchAndPerish(inst)
	else end
		
    return inst
end

return Prefab( "common/inventory/pina_colada", fn, assets, prefabs)