local assets =
{
	Asset("ANIM", "anim/rocky_meat_cooked.zip"),
	  Asset("ATLAS", "images/inventoryimages/rocky_meat_cooked.xml"),
}

local prefabs = 
{
	"flint",
}

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	if TheSim:GetGameID() =="DST" then inst.entity:AddNetwork() end

	-- MakeSmallBurnable(inst)
	MakeSmallPropagator(inst)
    MakeInventoryPhysics(inst)

	if W101_FLOAT==1 then
		-- MakeInventoryFloatable(inst, "idle_water", "idle")
		MakeBlowInHurricane(inst, TUNING.WINDBLOWN_SCALE_MIN.MEDIUM, TUNING.WINDBLOWN_SCALE_MAX.HEAVY)
    else end
	
	inst.AnimState:SetBank("rocky_meat_cooked")
	inst.AnimState:SetBuild("rocky_meat_cooked")
	inst.AnimState:PlayAnimation("idle")
	
	inst:AddTag("catfood")
	
	if TheSim:GetGameID()=="DST" then
		if not TheWorld.ismastersim then
			return inst
		end
		
		inst.entity:SetPristine()
	end
	
	inst:AddComponent("edible")
	inst.components.edible.foodtype = "MEAT"
	inst.components.edible.foodstate = "COOKED"
	inst.components.edible.healthvalue = TUNING.HEALING_SMALL
	inst.components.edible.hungervalue = TUNING.CALORIES_SMALL
	inst.components.edible.sanityvalue = 0
		
	inst:AddComponent("inspectable")

	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/rocky_meat_cooked.xml"
	
	inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
	
	inst:AddComponent("perishable")
	inst.components.perishable:SetPerishTime(TUNING.PERISH_FAST)
	inst.components.perishable:StartPerishing()
	inst.components.perishable.onperishreplacement = "flint"
	
	inst:AddComponent("bait")
	inst:AddComponent("tradable")
	
	if TheSim:GetGameID()=="DST" then
		-- MakeHauntableLaunchAndPerish(inst)
		MakeHauntableChangePrefab(inst, "flint")
	else end
		
    return inst
end

return Prefab( "common/inventory/rocky_meat_cooked", fn, assets, prefabs )