local assets =
{
	Asset("ANIM", "anim/sandwich_croque.zip"),
    Asset("ATLAS", "images/inventoryimages/sandwich_croque.xml"),
}

local prefabs = 
{
	"spoiled_food",
	"sandwich_croque_half",
}


local function OnEaten(inst, eater)
  if eater:HasTag("player") then
	  eater.components.inventory:GiveItem(SpawnPrefab("sandwich_croque_half"))
  end  
end

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	if TheSim:GetGameID() =="DST" then inst.entity:AddNetwork() end

	MakeInventoryPhysics(inst)
	MakeSmallBurnable(inst)
	MakeSmallPropagator(inst)
		
	MakeInventoryPhysics(inst)
	if W101_FLOAT == 1 then
		MakeInventoryFloatable(inst, "idle_water", "idle")	 
		MakeBlowInHurricane(inst, TUNING.WINDBLOWN_SCALE_MIN.LIGHT, TUNING.WINDBLOWN_SCALE_MAX.MEDIUM)
	else end
	
	inst.AnimState:SetBank("sandwich_croque")
	inst.AnimState:SetBuild("sandwich_croque")
	inst.AnimState:PlayAnimation("idle")
	
	inst:AddTag("preparedfood")
	
	if W101_DST_FLOAT==1 then
	    MakeInventoryFloatable(inst, "small", 0.2, 0.95)
	end

	if TheSim:GetGameID()=="DST" then
		if not TheWorld.ismastersim then
			return inst
		end
		inst.entity:SetPristine()
	end
	
	inst:AddComponent("edible")
	inst.components.edible.foodtype = "MEAT"
	inst.components.edible.foodstate = "PREPARED"
	inst.components.edible.healthvalue = TUNING.HEALING_MEDSMALL
	inst.components.edible.hungervalue = TUNING.CALORIES_LARGE*1.4
	inst.components.edible.sanityvalue = TUNING.SANITY_TINY
	inst.components.edible:SetOnEatenFn(OnEaten)

	inst:AddComponent("inspectable")

	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/sandwich_croque.xml"
	
	inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM

	inst:AddComponent("perishable")
	inst.components.perishable:SetPerishTime(TUNING.PERISH_FAST)
	inst.components.perishable:StartPerishing()
	inst.components.perishable.onperishreplacement = "spoiled_food"

	inst:AddComponent("bait")
	inst:AddComponent("tradable")
	inst.components.tradable.goldvalue = 2
	inst.components.tradable.dubloonvalue = 5

	if TheSim:GetGameID()=="DST" then
		MakeHauntableLaunchAndPerish(inst)
	else end
		
    return inst

end


return Prefab( "common/inventory/sandwich_croque", fn, assets, prefabs )