local assets =
{
	Asset("ANIM", "anim/soup_squash.zip"),
    Asset("ATLAS", "images/inventoryimages/soup_squash.xml"),
}

local prefabs = 
{
	"spoiled_food",
}

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	if TheSim:GetGameID() =="DST" then inst.entity:AddNetwork() end

	-- MakeSmallBurnable(inst)
	MakeSmallPropagator(inst)
	MakeInventoryPhysics(inst)

	if W101_FLOAT == 1 then
		MakeBlowInHurricane(inst, TUNING.WINDBLOWN_SCALE_MIN.LIGHT, TUNING.WINDBLOWN_SCALE_MAX.MEDIUM)
	else end
	
	inst.AnimState:SetBank("soup_squash")
	inst.AnimState:SetBuild("soup_squash")
	inst.AnimState:PlayAnimation("idle")
	
	inst:AddTag("preparedfood")
 
	if TheSim:GetGameID()=="DST" then
		if not TheWorld.ismastersim then
			return inst
		end
		
		inst.entity:SetPristine()
	end
		
	inst:AddComponent("edible")
	inst.components.edible.foodtype = "VEGGIE"
	inst.components.edible.foodstate = "PREPARED"
	inst.components.edible.healthvalue = TUNING.HEALING_LARGE
	inst.components.edible.hungervalue = TUNING.CALORIES_HUGE*1.2
	inst.components.edible.sanityvalue = TUNING.SANITY_MED

	inst:AddComponent("inspectable")

	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/soup_squash.xml"
	-- inst.components.inventoryitem.atlasname = "images/inventoryimages/inv_sides.xml"

	inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM

	inst:AddComponent("perishable")
	inst.components.perishable:SetPerishTime(TUNING.PERISH_FAST)
	inst.components.perishable:StartPerishing()
	inst.components.perishable.onperishreplacement = "spoiled_food"

	-- inst:AddComponent("tradable")
	
	if TheSim:GetGameID()=="DST" then
		MakeHauntableLaunchAndPerish(inst)
	else end
		
    return inst
end


return Prefab( "common/inventory/soup_squash", fn, assets, prefabs )