local assets =
{
	Asset("ANIM", "anim/spiced_sausage.zip"),
    Asset("ATLAS", "images/inventoryimages/spiced_sausage.xml"),
}

local prefabs = 
{
	"spoiled_food",
	"sausage_dried",
	"sausage_cooked",
}

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	if TheSim:GetGameID() =="DST" then inst.entity:AddNetwork() end

	MakeSmallBurnable(inst)
	MakeSmallPropagator(inst)
	MakeInventoryPhysics(inst)

	if W101_FLOAT == 1 then
		MakeInventoryFloatable(inst, "idle_water", "idle")
		MakeBlowInHurricane(inst, TUNING.WINDBLOWN_SCALE_MIN.LIGHT, TUNING.WINDBLOWN_SCALE_MAX.MEDIUM)
	else end

	inst:AddComponent("dryable")
	inst.components.dryable:SetProduct("sausage_dried")
	inst.components.dryable:SetDryTime(TUNING.DRY_FAST)

	inst.AnimState:SetBank("spiced_sausage")
	inst.AnimState:SetBuild("spiced_sausage")
	inst.AnimState:PlayAnimation("idle")
	
	inst:AddTag("preparedfood")

	if W101_DST_FLOAT==1 then
	    MakeInventoryFloatable(inst, "small", 0.2, 0.95)
	end
	
	if TheSim:GetGameID()=="DST" then
		if not TheWorld.ismastersim then
			return inst
		end
		inst.entity:SetPristine()
	end
	
	inst:AddComponent("edible")
	inst.components.edible.foodtype = "MEAT"
	inst.components.edible.foodstate = "PREPARED"
	inst.components.edible.healthvalue = TUNING.HEALING_MEDSMALL
	inst.components.edible.hungervalue = TUNING.CALORIES_LARGE
	inst.components.edible.sanityvalue = TUNING.SANITY_SUPERTINY*3
		
	if W101_TEMP== 1 then 
	inst.components.edible.temperaturedelta = TUNING.HOT_FOOD_BONUS_TEMP*0.5
	inst.components.edible.temperatureduration = TUNING.FOOD_TEMP_AVERAGE
	else end
	-- Provides 40 heat for 10 seconds
	
	inst:AddComponent("inspectable")

	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/spiced_sausage.xml"

	inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM

	inst:AddComponent("perishable")
	inst.components.perishable:SetPerishTime(TUNING.PERISH_FAST)
	inst.components.perishable:StartPerishing()
	inst.components.perishable.onperishreplacement = "spoiled_food"
	
	inst:AddComponent("cookable")
    inst.components.cookable.product="sausage_cooked"
	
	inst:AddComponent("bait")
	-- inst:AddComponent("tradable")
	-- inst.components.tradable.goldvalue = 1

	if TheSim:GetGameID()=="DST" then
		MakeHauntableLaunchAndPerish(inst)
	else end
		
    return inst
end

return Prefab( "common/inventory/spiced_sausage", fn, assets, prefabs )