local assets =
{
	Asset("ANIM", "anim/vino.zip"),
    Asset("ATLAS", "images/inventoryimages/vino.xml"),
}

local prefabs = 
{
	"pinot_noir"
}

local function fn(Sim)
	local inst = CreateEntity()
	
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
    inst.entity:AddSoundEmitter()
    if TheSim:GetGameID() =="DST" then inst.entity:AddNetwork() end
		
	MakeInventoryPhysics(inst)
		
	if W101_FLOAT == 1 then
		MakeBlowInHurricane(inst, TUNING.WINDBLOWN_SCALE_MIN.LIGHT, TUNING.WINDBLOWN_SCALE_MAX.MEDIUM)
	else end
	
    inst.AnimState:SetBank("vino")
    inst.AnimState:SetBuild("vino")
    inst.AnimState:PlayAnimation("idle")

	inst:AddTag("preparedfood")
	
	if TheSim:GetGameID()=="DST" then
			if not TheWorld.ismastersim then
				return inst
			end
		inst.entity:SetPristine()
	end
	
    inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM

    inst:AddComponent("inspectable")
	
	inst:AddComponent("fuel")
    inst.components.fuel.fuelvalue = TUNING.SMALL_FUEL
	
	MakeSmallBurnable(inst, TUNING.SMALL_BURNTIME)
    MakeSmallPropagator(inst)
	-- inst.components.burnable:MakeDragonflyBait(3)
	
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/vino.xml"
	
	inst:AddComponent("edible")
	inst.components.edible.foodtype = "GENERIC"
	inst.components.edible.foodstate = "PREPARED"
	inst.components.edible.healthvalue = -TUNING.HEALING_SMALL
	inst.components.edible.hungervalue = TUNING.CALORIES_MED
	inst.components.edible.sanityvalue = TUNING.SANITY_SMALL
	
	-- antihistamine for 1/4 day
	if TheSim:GetGameID()~="DST" then
		if IsDLCEnabled(PORKLAND_DLC) then
			inst.components.edible.antihistamine = 120
	else end	
	end	
	
	if W101_TEMP == 1 then
	inst.components.edible.temperaturedelta = TUNING.COLD_FOOD_BONUS_TEMP*0.5
	inst.components.edible.temperatureduration = TUNING.FOOD_TEMP_AVERAGE
	else end
	-- Provides 20 cool for 10 seconds
	
	inst:AddComponent("perishable")
	inst.components.perishable:SetPerishTime(TUNING.PERISH_MED)
	--inst.components.perishable:SetPerishTime(TUNING.PERISH_SUPERFAST)
	inst.components.perishable:StartPerishing()
	--inst.components.perishable.onperishreplacement = "spoiled_food"
	inst.components.perishable.onperishreplacement = "pinot_noir"
	
	inst:AddComponent("tradable")
	inst.components.tradable.goldvalue = 2
	inst.components.tradable.dubloonvalue = 4
	
	if TheSim:GetGameID()=="DST" then
	MakeHauntableLaunchAndPerish(inst)
	else end
		
    return inst
end

return Prefab( "common/inventory/vino", fn, assets, prefabs)