-- ALL RECIPES

--[[
REFERNCE LIST FOR CALORIES, SPOIL RATE, HEALING, and SANITY

		HEALING_TINY = 1,
	    HEALING_SMALL = 3,
	    HEALING_MEDSMALL = 8,
	    HEALING_MED = 20,
	    HEALING_MEDLARGE = 30,
	    HEALING_LARGE = 40,
	    HEALING_HUGE = 60,
	    HEALING_SUPERHUGE = 100,
		
		CALORIES_TINY = calories_per_day/8, -- berries (9.375)
		CALORIES_SMALL = calories_per_day/6, -- veggies (12.5)
		CALORIES_MEDSMALL = calories_per_day/4, (18.75)
		CALORIES_MED = calories_per_day/3, -- meat (25)
		CALORIES_LARGE = calories_per_day/2, -- cooked meat (37.5)
		CALORIES_HUGE = calories_per_day, -- crockpot foods? (75)
		CALORIES_SUPERHUGE = calories_per_day*2, -- crockpot foods? (150)
			
		PERISH_ONE_DAY = 1*total_day_time*perish_warp, -- (5 days)
		PERISH_TWO_DAY = 2*total_day_time*perish_warp, -- (10 days)
		PERISH_SUPERFAST = 3*total_day_time*perish_warp, -- (2 weeks)
		PERISH_FAST = 6*total_day_time*perish_warp, -- (1 month)
		PERISH_FASTISH = 8*total_day_time*perish_warp, (RoG Only)
		PERISH_MED = 10*total_day_time*perish_warp, -- (2 months)
		PERISH_SLOW = 15*total_day_time*perish_warp, -- (3 months) 
		PERISH_PRESERVED = 20*total_day_time*perish_warp, -- (4 montha)
		PERISH_SUPERSLOW = 40*total_day_time*perish_warp, -- (8 montha)
		
		SANITY_SUPERTINY = 1,
	    SANITY_TINY = 5,
	    SANITY_SMALL = 10,
	    SANITY_MED = 15,
	    SANITY_MEDLARGE = 20,
	    SANITY_LARGE = 33,
	    SANITY_HUGE = 50,
		
		seeds ( 0 health ; 4.6 calories) seeds_cooked ( 1 health ; 4.6 calories)
		batlisk wings ( 3 health ; 12.5 calories ; -10 sanity ) _cooked ( 8 health ; 18.75 calories)
		
		HOT_FOOD_BONUS_TEMP = 40,
		COLD_FOOD_BONUS_TEMP = -40,
		FOOD_TEMP_BRIEF = 5,
		FOOD_TEMP_AVERAGE = 10,
		FOOD_TEMP_LONG = 15,
		
		cooktime = 0.5 = 10 seconds (raw foods, frozen foods, lasagna, chilli, jam, waffles)
		cooktime = 0.75 = 20 seconds (meatballs, meaty stew)
		cooktime = 1.0 = 20 seconds (soups, seafoods)
		cooktime = 2.0 = 40 seconds (baked goods, fishsticks, muffin, pie, ham, taffy)
		cooktime = 3.0 = 60 seconds (turkey dinner, mandrake soup)
		
		STACK_SIZE_LARGEITEM = 10,
		STACK_SIZE_MEDITEM = 20,
		STACK_SIZE_SMALLITEM = 40,

		
]]

Assets = {
    -- The following are loaded to help craft pot with ingredients
    Asset("ATLAS", "images/inventoryimages/tentacle_meat.xml"),
	Asset("ATLAS", "images/inventoryimages/zucchilli_seeds.xml"),
}
	
local waiterfoods =
{

-- BREADS offer +health, =calories, +sanity MED Perish : - typically eggs offer +health
-- BREADS use tags.egg and tags.veggie and not tags.meat and not tags.seafood

shamcakes = -- if user tries to make waffles with oleo instead of butter
	{	-- return vs separate ingredients: +8 Health, -13 Calories, +5 Sanity: Net +4 (Poor), comparable to waffles (+12)
		test = function(cooker, names, tags) return tags.dairy and tags.fat and tags.berries and tags.egg and not tags.seafood and not tags.nut end,
		priority = 9,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_MED*2.75,		-- 50
		hunger = TUNING.CALORIES_LARGE,			-- 37.5
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = TUNING.SANITY_TINY,			-- 5
		cooktime = 0.5,
	},
	
nana_bread = -- user makes fruit muffin with banana 
	{	-- return vs separate ingredients: +14 Health, +0 Calories, +5 Sanity: Net +19 (Good)
		test = function(cooker, names, tags) return tags.egg and tags.veggie and (names.cave_banana or tags.banana) and not tags.meat and not tags.seafood end,
		priority = 8,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_MED,			-- 20
		hunger = TUNING.CALORIES_LARGE,			-- 37.5
		perishtime = TUNING.PERISH_MED,			-- 10
		sanity = TUNING.SANITY_TINY,			-- 5
		cooktime = 2,
	},

hardtack = -- dried buiscuits (penalty recipe for too much starch)
	{	-- return vs separate ingredients: +2 Health, +12 Calories, -1 Sanity: Net +1, (Poor), Well Preserved
		test = function(cooker, names, tags) return tags.egg and tags.starch and tags.starch >=2 and not tags.meat and not tags.seafood end,
		priority = 6,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_MEDSMALL,		-- 8
		hunger = TUNING.CALORIES_LARGE,			-- 37.5
		perishtime = TUNING.PERISH_PRESERVED,	-- 20
		sanity = -TUNING.SANITY_SUPERTINY,		-- (-1)
		cooktime = 2,
	},


fruit_muffin = 
	{	-- return vs separate ingredients: +12 Health, +0 Calories, +5 Sanity: Net +17 (Good)
		test = function(cooker, names, tags) return tags.egg and tags.veggie and tags.fruit and not tags.meat and not tags.seafood end,
		priority = 2,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_MEDSMALL*2,		-- 16
		hunger = TUNING.CALORIES_LARGE,			-- 37.5
		perishtime = TUNING.PERISH_MED,			-- 10
		sanity = TUNING.SANITY_TINY,			-- 5
		cooktime = 2,
	},

-- CAKES and PIES offer =health, +calories, +sanity, FAST persih : typically eggs offer +health, sweetener offers -health and +sanity
-- CAKE & PIEs use tags.egg and tags.sweetener and not tags.meat and not tags.fish and not tags.frozen

spiced_cake = -- intended to be spiced gingerbread cake
	{	-- return vs separate ingredients: +12 Health, -12 Calories, +33 Sanity: Net +50 (Stupendous) - requires crafting molasses
		test = function(cooker, names, tags) return tags.egg and names.molasses and tags.spices and not tags.meat and not tags.fish and not tags.frozen end,
		priority = 11,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_MED,			-- 20
		hunger = TUNING.CALORIES_MED*2,			-- 50
		perishtime = TUNING.PERISH_MED,			-- 10
		sanity = TUNING.SANITY_HUGE,			-- 50
		cooktime = 2,
		-- tags = {"honeyed"}
		-- Provides 10 heat for 60 seconds
	},
	
cactus_cake = -- cactus cake/pie 
	{	-- return vs separate ingredients: +4 Health, +16 Calories, +0 Sanity: Net +20 (Excellent)
		test = function(cooker, names, tags) return tags.egg and tags.sweetener and tags.cactus and not tags.meat and not tags.fish and not tags.frozen end,
		priority = 9,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_MEDSMALL,		-- 8
		hunger = TUNING.CALORIES_MED*2,			-- 50
		perishtime = TUNING.PERISH_MED,			-- 10
		sanity = TUNING.SANITY_MED,				-- 15
		cooktime = 2,
	},

meringue = -- pumpkin or fruit with extra egg
	{	-- return vs separate ingredients: -4 Health, +16 Calories, +10 Sanity: Net +22 (Excellent)
		test = function(cooker, names, tags) return tags.egg and tags.egg >=2 and tags.sweetener and (names.pumpkin or (tags.fruit and tags.fruit >=1)) and not tags.meat and not tags.fish and not tags.frozen and not tags.precook end,
		priority = 9,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_MED*0.5,		-- 10
		hunger = TUNING.CALORIES_SMALL*5,		-- 62.5
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = TUNING.SANITY_SMALL,			-- 10
		cooktime = 2,
	},
	
tarte_tatin = -- french upsidedown fruit pastry, here made with vegetables.
	{	-- return vs separate ingredients: +2 Health, +3 Calories, +10 Sanity: Net +15 (Good)
		test = function(cooker, names, tags) return tags.egg and tags.sweetener and tags.veggie and not tags.meat and not tags.fish and not tags.frozen end,
		priority = 7,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_MEDSMALL,		-- 8
		hunger = TUNING.CALORIES_LARGE,			-- 37.5
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = TUNING.SANITY_SMALL,			-- 10
		cooktime = 2,
	},


sticky_bun = -- twig cake/pie
	{	-- return vs separate ingredients: +0 Health, +4 Calories, +10 Sanity: Net +14 (Good)
		test = function(cooker, names, tags) return tags.egg and tags.sweetener and names.twigs and not tags.meat and not tags.fish and not tags.frozen end,
		priority = 4,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_SMALL,			-- 3
		hunger = TUNING.CALORIES_MED,			-- 25
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = TUNING.SANITY_SMALL,			-- 10
		cooktime = 2,
		-- tags = {"honeyed"}
	},


	
-- DESSERTs & CANDY offers -health, =calories, ++sanity, SLOW persih : typically honeyed deserts gives sanity bonus and health penalty for Poor return
-- DESSERTs & CANDY uses tags.sweetener and not tags.egg and not tags.meat and not tags.fish

candy_sponge = -- molasses sponge candy -- similar to two of vanilla game 'taffy' but requires molasses
	{	-- return vs separate ingredients: -12 Health, -1 Calories, +33 Sanity: Net +20 (Excellent)
		test = function(cooker, names, tags) return names.molasses and tags.sweetener and tags.sweetener >2 and not tags.meat and not tags.fish and not tags.egg end, 
		priority = 11,
		weight = 1,
		foodtype = "VEGGIE",
		health = -TUNING.HEALING_TINY,			-- (-1)
		hunger = TUNING.CALORIES_LARGE*1.2,		-- 45
		perishtime = TUNING.PERISH_SUPERSLOW,	-- 40
		sanity = TUNING.SANITY_LARGE,			-- 33
		cooktime = 2,
		-- tags = {"honeyed"}
	},

-- Mushmelon  - priority 9						= see RoG appendix

candied_nut =   
	{	-- return vs separate ingredients: -5 Health, +7 Calories, +10 Sanity: Net +12 (Good)
		test = function(cooker, names, tags) return tags.sweetener and ((tags.nut and tags.nut >=1) or (tags.seed and tags.seed >= 1.5)) and not tags.meat and not tags.fish and not tags.egg end, 
		priority = 9,
		weight = 1,
		foodtype = "VEGGIE",
		health = -TUNING.HEALING_TINY,			-- (-1)
		hunger = TUNING.CALORIES_MED,			-- 25
		perishtime = TUNING.PERISH_PRESERVED,	-- 20
		sanity = TUNING.SANITY_SMALL,			-- 10
		cooktime = 2,
		-- tags = {"honeyed"}
	},

candied_fruit =
	{	-- return vs separate ingredients: -10 Health, +6 Calories, +15/+15 Sanity: Net +11/+12 (Poor/Good)
		test = function(cooker, names, tags) return tags.sweetener and tags.fruit and tags.fruit > 1 and not tags.meat and not tags.fish and not tags.egg and not tags.veggie end,
		priority = 7,
		weight = 1,
		foodtype = "VEGGIE",
		health = -TUNING.HEALING_SMALL,			-- (-3)
		hunger = TUNING.CALORIES_MED*1.6,		-- 40
		perishtime = TUNING.PERISH_MED,			-- 10
		sanity = TUNING.SANITY_MED,				-- 15
		cooktime = 2,
		-- tags = {"honeyed"}
	},
	
candied_bacon =
	{	-- return vs separate ingredients: -10 Health, +4 Calories, +20 Sanity: Net +14 (Good)
		test = function(cooker, names, tags) return tags.sweetener and tags.meat and tags.meat==1.5 and not tags.seafood and not tags.egg end,
		priority = 6,
		weight = 1,
		foodtype = "MEAT",
		health = -TUNING.HEALING_SMALL,			-- (-3)  
		hunger = TUNING.CALORIES_MED*2,			-- 50
		perishtime = TUNING.PERISH_SLOW,		-- 15
		sanity = TUNING.SANITY_MEDLARGE,		-- 20
		cooktime = 2,
		-- tags = {"honeyed"}
	},


	
-- EGG RECIPEs offers +health, =calories, +sanity, FAST persih : typically egg foods give health bonus
-- EGG RECIPEs use tags.egg and not tags.sweetener and not tags.inedible 

omelette =
	{	-- return vs separate ingredients: +18/-19 Health, +10/-2 Calories, +5/+15 Sanity: Net +33/-6 (Superb, Awful with butter/oleo)
		test = function(cooker, names, tags) return tags.egg and tags.dairy and not tags.sweetener and not tags.inedible end,
		priority = 9,
		weight = 1,
		foodtype = "MEAT",						-- tagged as 'meat' even though meat is now optional
		health = TUNING.HEALING_MEDLARGE,		-- 30
		hunger = TUNING.CALORIES_MED*2,			-- 50
		perishtime = TUNING.PERISH_ONE_DAY,		-- 1	spoils into mushy eggs
		sanity = TUNING.SANITY_MED,				-- 15
		cooktime = 0.75,
	},
	
nopalito =
	{	-- return vs separate ingredients: +25 Health, +8 Calories, -5 Sanity: Net +28 (Excellent)
		test = function(cooker, names, tags) return tags.egg and (tags.pungent or tags.spices) and tags.cactus and not tags.sweetener and not tags.inedible end,
		priority = 8,
		weight = 1,
		foodtype = "GENERIC",
		health = TUNING.HEALING_MEDLARGE,		-- 30		/ Pierogi = 40
		hunger = TUNING.CALORIES_MED*2,			-- 50		/ Pierogi = 37.5
		perishtime = TUNING.PERISH_MED,			-- 10		/ Pierogi 20 Days
		sanity = TUNING.SANITY_SMALL,			-- 10		/ Pierogi = 5
		cooktime = 1,
	},

	
salad_egg =
	{	-- return vs separate ingredients: +18 Health, +8 Calories, +5 Sanity: Net +31 (Superb)
		test = function(cooker, names, tags) return tags.egg and (tags.pungent or tags.spices) and tags.starch and not tags.sweetener and not tags.inedible end,
		priority = 7,
		weight = 1,
		foodtype = "GENERIC",
		health = TUNING.HEALING_MED*1.25,		-- 25
		hunger = TUNING.CALORIES_MED*2,			-- 50
		perishtime = TUNING.PERISH_SUPERFAST,	-- 3
		sanity = TUNING.SANITY_TINY,			-- 5
		cooktime = 0.75,
	},

egg_foo_yung =
	{	-- return vs separate ingredients: +27 Health, -5 Calories, +10 Sanity: Net +32 (Superb)
		-- superceeds pierogi, needs to be comparable in output
		test = function(cooker, names, tags) return tags.egg and (tags.fungus or tags.leek) and (tags.meat or tags.seafood) and not tags.sweetener and not tags.inedible end,
		priority = 6,
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MEDLARGE,		-- 30 	/ Pierogi = 40
		hunger = TUNING.CALORIES_LARGE,			-- 37.5	/ Pierogi = 37.5
		perishtime = TUNING.PERISH_FAST,		-- 6	/ Pierogi 20 Days	(egg foo_yung spoils into mushy eggs)
		sanity = TUNING.SANITY_SMALL,			-- 10	/ Pierogi = 5
		cooktime = 0.75,
	},


-- FRUIT RECIPEs offer +health, -calories, +sanity, FAST persih : typically egg foods give health bonus
-- FRUIT RECIPEs		tags.fruit and not tags.veggie and not tags.meat and not tags.fish and not tags.egg ============================
limonade =
	{	-- return vs separate ingredients: +26 Health, -2 Calories, +5 Sanity: Net +29 (Excellent)
		test = function(cooker, names, tags) return tags.citrus and tags.fruit and tags.fruit >1 and tags.frozen and not tags.precook and not tags.meat and not tags.fish and not tags.egg and not tags.inedible end,
		priority = 9,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_MEDLARGE,		-- 30
		hunger = TUNING.CALORIES_MED,			-- 25
		perishtime = TUNING.PERISH_MED,			-- 10
		sanity = TUNING.SANITY_TINY,			-- 5
		cooktime = 0.5,
		-- Provides 20 cool for 20 seconds
	},

limongelo =
	{	-- return vs separate ingredients: +7/+16 Health, -19/-13 Calories, +20/+25 Sanity: Net +8/+28 (Good/Excellent) 
		test = function(cooker, names, tags) return tags.fruit and tags.fruit >1 and (names.cutlichen or tags.jell) and (not tags.fish or (tags.fish and tags.fish <=1)) and not tags.meat and not tags.egg and not tags.inedible end,
		priority = 9,
		weight = 1,
		foodtype = "GENERIC",
		health = TUNING.HEALING_MED,			-- 20
		hunger = TUNING.CALORIES_LARGE,			-- 37
		perishtime = TUNING.PERISH_SLOW,		-- 15
		sanity = TUNING.SANITY_MEDLARGE,		-- 20
		cooktime = 1,
	},
	
fruit_leather =
	{	-- return vs separate ingredients: +4 Health, +0 Calories, +10 Sanity: Net +14 (Good)
		test = function(cooker, names, tags) return tags.fruit and tags.fruit >1 and tags.citrus and not tags.meat and not tags.fish and not tags.egg and not tags.inedible end,
		priority = 6, -- must b less than Sandwich_jam
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_MEDSMALL,		-- 8
		hunger = TUNING.CALORIES_MED*2,			-- 50
		perishtime = TUNING.PERISH_PRESERVED,	-- 20
		sanity = TUNING.SANITY_SMALL,			-- 10
		cooktime = 2.5,
	},

fruit_truffle =
	{	-- return vs separate ingredients: +15 Health, +13 Calories, +5 Sanity: Net +33 (Superb)
		test = function(cooker, names, tags) return tags.fruit and tags.mushrooms and tags.mushrooms == 1 and tags.dairy and not tags.fat and not tags.meat and not tags.fish and not tags.egg and not tags.precook end,
		priority = 6,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_MED,			-- 20
		hunger = TUNING.CALORIES_MED*2,			-- 50
		perishtime = TUNING.PERISH_SUPERFAST,	-- 3
		sanity = TUNING.SANITY_MED,				-- 15
		cooktime = 1,
	},

-- Fruit bake? Fruit/nut bars?
	
	
-- INGREDIENTS - Typically about equal to the sum or their creation, but substitute for vanilla ingredients
casserole =
	{	-- return vs separate ingredients:(too many variables in cooking): ~ +12 health, -18 Calories, +1 Sanity: Net -5 (Awful)
		test = function(cooker, names, tags) return ((tags.meat and tags.meat < 3) or (tags.seafood and tags.seafood < 3)) and tags.veggie and tags.precook and tags.precook >=3 and not tags.sweetener and not tags.inedible end,
		priority = 6,
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MEDSMALL*2,		-- 16
		hunger = TUNING.CALORIES_MED*2,			-- 50
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = TUNING.SANITY_SUPERTINY,		-- 1
		cooktime = 1,
	},

fruit_syrup =
	{	-- return vs separate ingredients: -2 Health, -4 Calories, +3 Sanity: Net +6 (Poor), provides Sweetener, counts as fruit 
		test = function(cooker, names, tags) return tags.fruit and tags.fruit >=1 and tags.precook and names.twigs and not names.dragonfruit and not tags.meat and not tags.fish and not tags.egg and not tags.veggie and not tags.dairy end,
		priority = 9,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_SMALL,			-- 3		/	Honey = 3
		hunger = TUNING.CALORIES_MED,			-- 25		/	Honey = 9
		perishtime = TUNING.PERISH_SUPERSLOW,	-- 40		/ 	Honey 40 days
		sanity = TUNING.SANITY_SUPERTINY*3,		-- 3 		/	Honey = 0
		cooktime = 2,
	},

oleo =
	{	-- return vs separate ingredients: +1 health, +0 Calories, +1 sanity: Net +2 (Poor), provides Dairy and Fat - on par with butter
		test = function(cooker, names, tags) return names.corn and names.butterflywings and names.butterflywings >1 and names.twigs end,
		priority = 9,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_MED,			-- 20 		/ 	Real Butter = 40 	/ Butter Muffin = 20
		hunger = TUNING.CALORIES_LARGE*1.2,		-- 45	/  	Real Butter = 25 	/ Butter Muffin = 37.5
		perishtime = TUNING.PERISH_PRESERVED,	-- 40		/ 	Real Butter 40 Days	/ Butter Muffin 15 Days
		sanity = TUNING.SANITY_SUPERTINY,		-- 1 		/	Real Butter = 0  	/ Butter Muffin = 5
		cooktime = 2.5,
	},

-- LIQUOR RECIPEs	INCREASE SANITY ON INDICATED / INCREASE COLD on ++MARGARITA and +?DAIQUIRI 
liquor =
	{	-- return vs separate ingredients: -9 health, +12 calories, +15 sanity: Net +18 (Good) explosive capability
		test = function(cooker, names, tags) return tags.starch and tags.sweetener and tags.frozen and not tags.meat and not tags.fish and not tags.egg and not tags.dairy end,
		priority = 11, -- chance to make daiquiri when using banana as starch
		weight = 1,
		foodtype = "GENERIC",
		health = -TUNING.HEALING_SMALL,			-- -3
		hunger = TUNING.CALORIES_LARGE,			-- 37.5
		perishtime = TUNING.PERISH_SUPERSLOW,	-- 40
		sanity = TUNING.SANITY_MED,				-- 15
		cooktime = 3,
		-- Provides 20 cool for 10 seconds
	},

margarita =
	{	-- return vs separate ingredients: -16 health, +1 calories, +18 sanity: Net +3 (Poor) 
		test = function(cooker, names, tags) return tags.cactus and tags.sweetener and tags.frozen and tags.citrus end,
		priority = 11,
		weight = 1,
		foodtype = "GENERIC",
		health = -TUNING.HEALING_SMALL,			-- -3
		hunger = TUNING.CALORIES_LARGE,			-- 37.5
		perishtime = TUNING.PERISH_SUPERSLOW,	-- 40
		sanity = TUNING.SANITY_LARGE,			-- 33
		cooktime = 3,
		-- Provides 40 cool for 10 seconds
	},

--[[
pina colada 
priority 11
see Capy Waiter Foods
--]]
	
daiquiri =
	{	-- return vs separate ingredients: -8 health, +1 calories, +20 sanity: Net +13 (Good)
		test = function(cooker, names, tags) return tags.fruit and tags.fruit >1 and tags.sweetener and tags.frozen end,
		priority = 11, -- chance to make liquor when using banana as fruit
		weight = 1,
		foodtype = "GENERIC",
		health = -TUNING.HEALING_TINY,			-- -1
		hunger = TUNING.CALORIES_LARGE,			-- 37.5
		perishtime = TUNING.PERISH_SUPERSLOW,	-- 40
		sanity = TUNING.SANITY_MEDLARGE,		-- 20
		cooktime = 3,
		-- Provides 40 cool for 10 seconds
	},

vino =
	{	-- return vs separate ingredients: -7 health, +1 calories, +10 sanity: Net +4 (Poor) /spoils to Pinot_Noir +36 (Superb)
		test = function(cooker, names, tags) return tags.fruit and tags.sweetener and tags.frozen and not tags.meat and not tags.fish and not tags.egg and not tags.dairy and not tags.caffeine end,
		priority = 9, -- will always get daiquiri if fruit >1
		weight = 1,
		foodtype = "GENERIC",
		health = -TUNING.HEALING_SMALL,			-- -3		: +8
		hunger = TUNING.CALORIES_MED,			-- 25		: +37.5
		perishtime = TUNING.PERISH_MED,			-- 10  perishto = pinot_noir (40)
		sanity = TUNING.SANITY_SMALL,			-- 10		: +20
		cooktime = 3,
		-- Provides 20 cool for 10 seconds
	},
	
-- MEAT RECIPEs offer +health, +calories, +sanity, MED persih : typically Meat foods have large calories
-- MEAT (BEEF) RECIPEs		tags.meat and not tags.poultry and not tags.seafood and not tags.seed 

beef_butter = 
	{	-- return vs separate ingredients:	+0 Health, +13 Calories, +15 Sanity: Net +28 (Excellent)
		test = function(cooker, names, tags) return tags.meat and tags.meat >=1 and tags.fat and tags.dairy and tags.leek and not tags.poultry and not tags.seafood and not tags.nut end,
		priority = 14, -- Must be greater than Sausage_Gravy
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MEDLARGE*1.5,	-- 45
		hunger = TUNING.CALORIES_HUGE,			-- 75
		perishtime = TUNING.PERISH_SLOW,		-- 15
		sanity = TUNING.SANITY_MED,				-- 15
		cooktime = 2,
	},
	

coldcuts =
	{	-- return vs separate ingredients: +1 Health, +10 Calories, +5 Sanity: Net +16 (Good) : Cold
		test = function(cooker, names, tags) return tags.meat and tags.meat >=1 and tags.frozen and tags.precook and tags.precook >1 and not tags.seafood and not tags.nut end,
		priority = 8,
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_SMALL,			-- 3
		hunger = TUNING.CALORIES_LARGE,			-- 37
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = TUNING.SANITY_TINY,			-- 5
		cooktime = 1.5,
		-- Provides 40 cool for 10 seconds
	},

braciole =
	{	-- return vs separate ingredients: +0 Health, +12 Calories, +5 Sanity: Net +17 (Good) -- varies based on veg/meat choices
		test = function(cooker, names, tags) return tags.meat and (tags.alkaline or tags.leek) and tags.veggie and tags.veggie >1 and not tags.poultry and not tags.seafood and not tags.nut and not names.twigs end,
		priority = 3,  -- less than both Kabobs and Sweet and Sour
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MED,			-- 20	/ Meatballs 3
		hunger = TUNING.CALORIES_MED*2.5,		-- 62.5	/ Meatballs 62
		perishtime = TUNING.PERISH_MED,			-- 10	/ Meatballs 5
		sanity = TUNING.SANITY_TINY,			-- 5	/ Meatballs 5
		cooktime = 2,
	},
	
beef_stirfry =
	{	-- return vs separate ingredients: +12 Health, -2 Calories, +5 Sanity: Net +15 (Good)
		test = function(cooker, names, tags) return tags.meat and (tags.fungus or tags.leek) and tags.seed and not tags.poultry and not tags.nut and not names.twigs end,
		priority = 3, -- less than both Kabobs and Sweet and Sour
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MEDSMALL*2,		-- 16	/ Meatballs 3
		hunger = TUNING.CALORIES_MED*1.6,		-- 40	/ Meatballs 62
		perishtime = TUNING.PERISH_MED,			-- 10	/ Meatballs 10
		sanity = TUNING.SANITY_TINY,			-- 5	/ Meatballs 5
		cooktime = 2,
	},



-- MEAT RECIPEs offer +health, +calories, +sanity, MED persih : typically Meat foods have large calories
-- MEAT (PORK) RECIPEs		tags.meat and not tags.monster and not tags.seafood and not tags.seed 
	
sausage_gravy =
	{	-- return vs separate ingredients:	+16/-21 Health, +25/+13 Calories, +0/+10 Sanity: Net +41/+2 (Superb/Poor)
		-- if use butter/oleo should get buttered beef instead (unless using poultry)
		test = function(cooker, names, tags) return tags.meat and tags.dairy and tags.veggie and not tags.seafood and not tags.seed end,
		priority = 13, -- Must be Less than Beef_Buttered
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MEDSMALL*3,		-- 24	: milk 8		: butter 45
		hunger = TUNING.CALORIES_HUGE,			-- 75	: milk 50		: butter 62
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = TUNING.SANITY_SMALL,			-- 10	: milk 10		: butter 0
		cooktime = 0.75,
	},
	
	
spiced_sausage = -- Bratwurst / Heat
	{	-- return vs separate ingredients:	+5 Health, +0 Calories, +3 Sanity: Net +8 / +24 / +25 (Poor/Excellent) +20 more if using monster meat- better than Kabobs
		test = function(cooker, names, tags) return tags.meat and tags.meat >=1 and tags.spices and names.twigs and not tags.seafood and not tags.seed end,
		priority = 6, -- Needs to be greater than Kabobs (5)
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MEDSMALL,		-- 8	: cooked = 16	: dried = 20
		hunger = TUNING.CALORIES_LARGE,			-- 37	: cooked = 37	: dried = 37
		perishtime = TUNING.PERISH_FAST,		-- 6	: cooked = 10	: dried = 20
		sanity = TUNING.SANITY_SUPERTINY*3,		-- 3	: cooked = 5	: dried = 10
		cooktime = 2,
		-- Provides 20 heat for 10 seconds
		-- Cooked Provides 40 heat for 10 seconds
		-- Dried Provides 0 heat
	},

spiced_ham = -- Hawaian Pineapple Ham - (pork) Spiced Ham Platter	= Meat >=1 + Citrus + spices + ? PROHIBIT POULTRY
	{	-- return vs separate ingredients:	+16 Health, +16 Calories, +5 Sanity: Net +32 (Superb)
		test = function(cooker, names, tags) return tags.meat and tags.meat >=1 and tags.spices and tags.fruit and not tags.seafood and not tags.seed and not tags.inedible end,
		priority = 4,  -- should be the Same as Beef Stirfry
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MED,			-- 20
		hunger = TUNING.CALORIES_SMALL*5,		-- 62
		perishtime = TUNING.PERISH_MED,			-- 10
		sanity = TUNING.SANITY_TINY,			-- 5
		cooktime = 2,
		-- Provides 20 heat for 10 seconds
	},


sweet_n_sour =
	{	-- return vs separate ingredients: +14 Health, +6 Calories, +5 Sanity: Net (+25) Excellent
		test = function(cooker, names, tags) return tags.meat and tags.meat >= 1 and tags.pungent and tags.sweetener and not tags.seafood and not tags.seed and not tags.inedible end,
		priority = 4, -- Must be Greater than Honey Nuggets (2),  Less than both Kabobs (5)
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MED,			-- 20
		hunger = TUNING.CALORIES_MED*2,			-- 50
		perishtime = TUNING.PERISH_MED,			-- 10
		sanity = TUNING.SANITY_TINY,			--  5
		cooktime = 2,
		-- tags = {"honeyed"}
	},
	
	
-- MEAT (POULTRY) RECIPEs offer 	++Health, =calories, +sanity, MED persih : typically Meat foods have large calories
-- MEAT (POULTRY) RECIPEs			(tags.poultry or tags.wings) and not tags.seed and not tags.inedible
	
beefalo_wings =
	{	-- return vs separate ingredients: +0 Health, +12 Calories, +10 Sanity: Net +22 (Excellent) : Hot
		test = function(cooker, names, tags) return tags.poultry and tags.meat and tags.meat >=1 and (tags.leek or tags.spices) and not tags.fish and not tags.fungus and not tags.inedible end,
		priority = 12, -- Must be Less than Sausage_Gravy
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MEDSMALL,		-- 8
		hunger = TUNING.CALORIES_SMALL*5,		-- 62
		perishtime = TUNING.PERISH_MED,			-- 10
		sanity = TUNING.SANITY_SMALL,			-- 10
		cooktime = 1.5,
		-- Provides 40 heat for 15 seconds
	},

rollatini =
	{	-- return vs separate ingredients: +18 Health, +8 Calories, -5 Sanity: Net +21 (Excellent) +5 Eggplant / + 28 Tomango / +37 Seaweed
		test = function(cooker, names, tags) return (tags.alkaline or tags.cactus) and tags.poultry and not tags.fish and not tags.inedible end,
		priority = 11,
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MEDSMALL*3,		-- 24
		hunger = TUNING.CALORIES_MED*2,			-- 50
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = TUNING.SANITY_SMALL,			-- 10
		cooktime = 1.5,
	},

picatta =
	{	-- return vs separate ingredients: +14 Health, +8 Calories, +5 Sanity: Net +27 (Excellent) on Par with Turkey Dinner
		test = function(cooker, names, tags) return tags.poultry and tags.meat and tags.meat >=1 and tags.citrus and not tags.fish and not tags.inedible end,
		priority = 10,
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MED,			-- 20
		hunger = TUNING.CALORIES_MED*2,			-- 50
		perishtime = TUNING.PERISH_MED,			-- 10
		sanity = TUNING.SANITY_TINY,			--  5
		cooktime = 2,
	},
	
salad_waldorf =
	{	-- return vs separate ingredients: +14 Health, +3 Calories, +5 Sanity: Net +22 (Excellent)			
		test = function(cooker, names, tags) return tags.poultry and tags.meat and tags.meat <1 and tags.veggie and tags.nut and tags.nut >=1 and not tags.fungus and not tags.fish and not tags.inedible end,
		priority = 6,
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MED,			-- 20
		hunger = TUNING.CALORIES_LARGE*1.25,	-- 46.8
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = TUNING.SANITY_TINY,			-- 5
		cooktime = 0.75,
	},


	
-- MEAT (Seafood) RECIPEs offer 	+health, =calories, +sanity, MED persih : typically Meat foods have large calories
-- MEAT (SEAFOOD) RECIPEs			(tags.seafood or tags.fish) and not tags.poultry and not tags.seed and not tags.inedible
surf_n_turf =
	{	-- return vs separate ingredients: +39 Health, -13 Calories, +10 Sanity: Net (+36) (Superb)
	-- no longer 'surf-n-turf' due to SW having that dish, renamed 'Et Cespite Salo' (Latin for Surf and Turf use 'Land and Sea Plate' for foreign translations)
	    test = function(cooker, names, tags) return tags.fish and tags.fish >=1 and tags.fish <2 and tags.meat and tags.meat >1 and tags.veggie and not tags.poultry and not tags.seed and not tags.frozen end,
		priority = 12,
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MED*1.75,		-- 35
		hunger = TUNING.CALORIES_LARGE*1.25,	-- 46.8
		perishtime = TUNING.PERISH_MED,			-- 10
		sanity = TUNING.SANITY_SMALL,			-- 10
		cooktime = 1,
	},

tentacicle =
	{	-- return vs separate ingredients: +8 Health, +14 Calories, +5 Sanity: Net +27 (Excellent) : Cold
		test = function(cooker, names, tags) return names.tentacle_meat and tags.frozen and names.twigs end,
		priority = 11, -- must be greater than fishsticks (10)
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MEDSMALL,		-- 8 		/ Raw -3 		/ Cooked 0
		hunger = TUNING.CALORIES_MED,			-- 25		/ Raw 9.35 		/ Cooked 9.35
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = TUNING.SANITY_TINY,			-- 5		/ Raw -10 		/ Cooked 0
		cooktime = 0.5,
		-- Provides 40 cool for 10 seconds
	},
	
stuffed_tomango =
	{	-- return vs separate ingredients: +24 Health, +0 Calories, +5 Sanity: Net +29 (Excellent) Seaweed: +38 / Eggplant: +5)
		test = function(cooker, names, tags) return tags.seafood and tags.seafood >=1 and (tags.shellfish or tags.meat or tags.fish) and tags.alkaline and not tags.poultry and not tags.seed and not tags.frozen end,
		priority = 6,
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MED*1.75,		-- 35 
		hunger = TUNING.CALORIES_LARGE,			-- 37
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = TUNING.SANITY_TINY,			-- 5
		cooktime = 1,
		cooktime = 1,
	},
	
fish_n_chips =
	{	-- return vs separate ingredients: +22 Health, +0 Calories, +5 Sanity: Net +27 (Excellent)
	    test = function(cooker, names, tags) return tags.fish and tags.fish >1 and tags.tuber and (not tags.meat or (tags.meat and tags.meat <=1))and not tags.poultry and not tags.seed and not tags.frozen end,
		priority = 6,
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MED*1.5,		-- 30
		hunger = TUNING.CALORIES_MED*2,			-- 50
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = TUNING.SANITY_TINY,			-- 5
		cooktime = 1,
	},
	
slurry_seafood =
	{	-- return vs separate ingredients: +14 Health, +16 Calories, -1 Sanity: Net +29 (Excellent) -- fishy equivalent to meatballs
		test = function(cooker, names, tags) return tags.seafood and (tags.shellfish or tags.fish) and (not tags.meat or (tags.meat and tags.meat <1)) and not names.twigs end,
		priority = 0,
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MED,			-- 20
		hunger = TUNING.CALORIES_MED*2,			-- 50
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = -TUNING.SANITY_SUPERTINY,		-- -1
		cooktime = 0.5,
	},
	
	
	
-- MEAT (Shelfish) RECIPEs offer 	+health, +calories, +sanity, MED persih : certain recipes emulate cakes/desserts 
-- MEAT (Shellfish) RECIPEs			tags.shellfish or names.<shellfish>) and not tags.meat and not tags.frozen and not tags.nut
-- If Below 10 priority add and not names.twigs to prevent fish stick conflict in warley's pot

shellfish_butter = -- Sauteed Shellfish (Oysters Rockefeller)
	{	-- return vs separate ingredients: +7 Health, +4 Calories, +20 Sanity: Net +31 (Superb)
		test = function(cooker, names, tags) return tags.shellfish and tags.dairy and tags.fat and (tags.flora or tags.veggie) and not tags.meat and not tags.frozen and not tags.nut end,
		priority = 11, -- must be greater than fishsticks (10)
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_LARGE*1.25,		-- 50
		hunger = TUNING.CALORIES_MED*2,			-- 50
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = TUNING.SANITY_MEDLARGE,		-- 20
		cooktime = 1,
		-- tags = {"catfood"}
	},	
	
scallops_spicy= -- Szechuan Scallops
	{	-- return vs separate ingredients: +13 Health, +8 Calories, +5 Sanity: Net +26 (Excellent)
		test = function(cooker, names, tags) return tags.shellfish and (tags.root or tags.spices) and tags.veggie and tags.veggie>1 and not names.twigs and not tags.nut and not tags.meat and not tags.frozen end,
		priority = 9,
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MED,			-- 20
		hunger = TUNING.CALORIES_MED*1.8,		-- 45
		perishtime = TUNING.PERISH_MED,			-- 10
		sanity = TUNING.SANITY_TINY,			-- 5
		cooktime = 1,
		-- Provides 40 heat for 15 seconds
		-- tags = ("catfood")
	},

tempura_shrimp = -- Sweet Tempura (Honey Walnut Shrimp)
	{	-- return vs separate ingredients: +7 Health, +16 Calories, +5 Sanity: Net +27 (Excellent)
		test = function(cooker, names, tags) return tags.egg and tags.shellfish and (tags.nut or tags.seed) and not names.twigs and not tags.meat and not tags.frozen end,
		priority = 9, -- must be less than fishsticks (10)
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MED*0.5,		-- 10
		hunger = TUNING.CALORIES_LARGE*1.5,		-- 56
		perishtime = TUNING.PERISH_MED,			-- 10
		sanity = TUNING.SANITY_TINY,			-- 5
		cooktime = 1.5,
		-- tags = {"honeyed"}	
		-- tags = {"catfood"}
	},		
	

-- lobster-faked : See Capy Waiter recipes - priority 20
-- cake_crab : See Capy Waiter recipes - priority 9
	
-- MONSTER (Foods requiring monster meat)

durian_delight = -- Duriant coconut delight
		{	-- return vs separate ingredients: -7 health, +7 calories, +20 sanity: Net +20 (Excellent) - varies depending on ingredients
		test = function(cooker, names, tags) return tags.monster and tags.fruit and tags.sweetener and (tags.decoration or tags.nut) and not tags.meat and not tags.seafood end,
		priority = 11,
		weight = 1,
		foodtype = "VEGGIE",
		health = -TUNING.HEALING_SMALL,				-- -3
		hunger = TUNING.CALORIES_MED*2,				-- 50
		perishtime = TUNING.PERISH_SUPERFAST,		-- 3
		sanity = TUNING.SANITY_MED, 				-- 15
		cooktime = 2.0,
		-- tags = {"honeyed"}
	},
	
hakarl = -- fermented fish	
		{	-- return vs separate ingredients: +20/+15 health, +0/+14 calories, +0/-9 sanity: Net +19/+20 (Good/Excellent)
		test = function(cooker, names, tags) return tags.monster and tags.monster >=1 and tags.seafood and tags.seafood >=1 and tags.pungent and not tags.poultry and not tags.sweetener end,
		priority = 11,
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MEDLARGE,			-- 30
		hunger = TUNING.CALORIES_MED*2,				-- 50
		perishtime = TUNING.PERISH_PRESERVED,		-- 20
		sanity = -TUNING.SANITY_TINY, 				-- -5
		cooktime = 1.0,
		-- tags = {"catfood"}
	},
	
monster_burger = -- "Monster_Burger" burger and fries
	{	-- return vs separate ingredients: +1 Health, +15 Calories, +11 Sanity: Net 27 (Supreme)
	    test = function(cooker, names, tags) return tags.mushrooms and tags.mushrooms ==2 and tags.meat and tags.monster and (tags.leek or tags.tuber or tags.starch or tags.alkaline) end,
		priority = 9,
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_SMALL,				-- 3
		hunger = TUNING.CALORIES_HUGE*.95,			-- 71
		perishtime = TUNING.PERISH_FAST,			-- 6
		sanity = TUNING.SANITY_TINY,				-- 5
		cooktime = 1.5,
	},

-- NUTS and SEEDS RECIPEs	===================================================================
nut_butter =
	{	-- return vs separate ingredients: -4 health, +11 calories, +15 sanity: Net +22 (Excellent)
		test = function(cooker, names, tags) return tags.nut and tags.nut >= 1 and tags.fat and tags.sweetener and not tags.meat and not tags.fish and not tags.fruit end,
		priority = 10,
		weight = 1,
		foodtype = "GENERIC",
		health = TUNING.HEALING_LARGE,			-- 40
		hunger = TUNING.CALORIES_MED*2.2,		-- 55
		perishtime = TUNING.PERISH_PRESERVED,	-- 20
		sanity = TUNING.SANITY_MED,				-- 15
		cooktime = 1.5,
		-- tags = {"honeyed"}
	},
	
kung_pao =
	{	-- return vs separate ingredients: +14 health, +3 calories, +5 sanity: Net +22 (Excellent) - varies greatly based on ingredients used as filler	
		test = function(cooker, names, tags) return (tags.nut or (tags.seed and tags.seed >=1)) and (tags.shellfish or tags.poultry) and (tags.leek or tags.spices) end,
		priority = 9,
		weight = 1,
		foodtype = "MEAT",
    	health = TUNING.HEALING_MED,			-- 20
		hunger = TUNING.CALORIES_MED*1.8,		-- 45
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = TUNING.SANITY_TINY,			-- 5
		cooktime = 1.5,
		-- Provides 40 heat for 15 seconds	
	},

cheese_log =
	{	-- return vs separate ingredients: +5 health, +15 calories, +0 sanity: Net +20 (Excellent)
		test = function(cooker, names, tags) return tags.seed and tags.seed >=1 and tags.dairy and not tags.meat and not tags.fish and not tags.fat end,
		priority = 9,
		weight = 1,
		foodtype = "GENERIC",
		health = TUNING.HEALING_MED,			-- 20
		hunger = TUNING.CALORIES_MED*2,			-- 50
		perishtime = TUNING.PERISH_SUPERSLOW,	-- 40
		sanity = TUNING.SANITY_SMALL,			-- 10
		cooktime = 3,
	},

porridge =
	{	-- return vs separate ingredients: +3 health, +6 calories, +1 sanity: Net +10 (Good) - varies greatly based on ingredients used as filler	
		test = function(cooker, names, tags) return tags.seed and tags.seed >= 1 and tags.seed <2 and not tags.nut and not names.dragonfruit and not names.dragonfruit_cooked and not tags.inedible end,
		priority = 8,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_SMALL,			-- 8 / gruel 0
		hunger = TUNING.CALORIES_MED,			-- 25 / gruel 12.5
		perishtime = TUNING.PERISH_SUPERFAST,	-- 3 / 6
		sanity = TUNING.SANITY_SUPERTINY,		-- 1 / gruel (-1)
		cooktime = 0.5,
	},

-- SALAD RECIPEs	++ Health, - Calories, ++ Sanity, FAST perish 
-- SALAD RECIPEs	tags.veggie (Most also have one or more of not tags.precook and not tags.fungus and not tags.meat and not tags.fish)
salad_carrot =
	{	-- return vs separate ingredients: +21 Health, -9 Calories, +10 Sanity: Net +22 (Excellent)	
		test = function(cooker, names, tags) return tags.veggie and tags.veggie >= 2 and tags.root and (tags.sweetener or tags.citrus) and not tags.precook and not tags.meat and not tags.fish end,
		priority = 4,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_MEDLARGE,		-- 30
		hunger = TUNING.CALORIES_MED,			-- 25
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = TUNING.SANITY_SMALL,			-- 10
		cooktime = 0.5,
	},

salad_grape =
	{	-- return vs separate ingredients: +12 Health, +3 Calories, +10 Sanity: Net +25 (Excellent)		
		test = function(cooker, names, tags) return tags.grapes and tags.veggie and (tags.seed or tags.nut) and not tags.fungus and not tags.precook and not tags.meat and not tags.fish end,
		priority = 4,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_MEDSMALL*2,		-- 16
		hunger = TUNING.CALORIES_LARGE,			-- 37.5
		perishtime = TUNING.PERISH_SUPERFAST,	-- 3
		sanity = TUNING.SANITY_SMALL,			-- 10
		cooktime = 0.75,
	},

salad_yamion =
	{	-- return vs separate ingredients: +12 Health, +12 Calories, +5 Sanity: Net +29 (Excellent)				
		test = function(cooker, names, tags) return tags.veggie and tags.veggie >=2 and (tags.tuber or tags.leek) and (tags.decoration or tags.flora) and not tags.precook and not tags.alkaline and not tags.meat and not tags.fish end,
		priority = 4, -- should be lower than spiced_salad
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_MED,			-- 20
		hunger = TUNING.CALORIES_LARGE,			-- 37.5
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = TUNING.SANITY_TINY,			-- 5
		cooktime = 0.75,
	},
	
salad_bloom =
	{	-- return vs separate ingredients: +2 health, +12 calories, +5 sanity: Net +19 (Good)
		test = function(cooker, names, tags) return tags.flora and tags.flora >=2 and (tags.veggie or tags.fruit) and (not tags.monster or (tags.monster and tags.monster <1)) and not names.twigs and not tags.meat and not tags.fish end,
		priority = 4,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_MEDSMALL,		-- 8
		hunger = TUNING.CALORIES_LARGE,			-- 37.5
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = TUNING.SANITY_TINY,			-- 5
		cooktime = 0.5,
	},
	
-- SOUP RECIPEs	++ Health, = Calories, + Sanity, FAST perish 
-- SOUP RECIPEs		(Key Ingredient - Veggie) and not tags.fruit and not tags.inedible ================================================================
soup_squash =
	{	-- return vs separate ingredients: -9 health, +19 calories, +15 sanity: Net +25 (Excellent) 
		test = function(cooker, names, tags) return tags.fat and tags.nut and tags.nut >=1 and tags.squash and not tags.seafood and not tags.fruit end,
		priority = 11,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_LARGE,			-- 40
		hunger = TUNING.CALORIES_HUGE*1.2,		-- 90
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = TUNING.SANITY_MED,				-- 15
		cooktime = 1,
	},
	
cactus_soup =
	{	-- return vs separate ingredients: +26 health, -3 calories, +0 sanity: Net +23 (Excellent) 
		test = function(cooker, names, tags) return tags.cactus and tags.meat and tags.meat >=1 and not tags.fruit and not tags.inedible end,
		priority = 6, -- rollatini priority 11
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MEDLARGE,		-- 30
		hunger = TUNING.CALORIES_MED*2,			-- 50
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = TUNING.SANITY_MED,				-- 15
		cooktime = 1.5,
	},

soup_chowder =
	{	-- return vs separate ingredients: +32/-5 health, -8/-5 calories, +0/+10 sanity: Net +24/+0 (Excellent/Poor) 
		test = function(cooker, names, tags) return tags.seafood and tags.meat and tags.veggie and (tags.dairy or tags.fat) and not tags.fungus and not tags.fruit and not tags.inedible end,
		priority = 6,
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_LARGE,			-- 40
		hunger = TUNING.CALORIES_MED*1.8,		-- 45
		perishtime = TUNING.PERISH_SUPERFAST,	-- 3
		sanity = TUNING.SANITY_SMALL,			-- 10
		cooktime = 1,
	},

gumbo =
	{	-- return vs separate ingredients: +22 health, -13 calories, +5 sanity: Net +24 (Excellent) : Hot 
		test = function(cooker, names, tags) return tags.seafood and tags.meat and tags.veggie and tags.veggie >1 and (tags.fungus or tags.spices) and not tags.fruit and not tags.inedible end,
		priority = 6,
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MEDLARGE,		-- 30
		hunger = TUNING.CALORIES_LARGE,			-- 37.5
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = TUNING.SANITY_TINY,			-- 5
		cooktime = 1,
		-- Provides 40 heat for 20 seconds
	},

gazpacho =
	{	-- return vs separate ingredients: +12/+0 health, +10/-7 calories, +0/+5 sanity: Net +22/-2 (Excellent/Poor) : Cold 
		test = function(cooker, names, tags) return tags.veggie and tags.veggie >=2 and tags.alkaline and tags.frozen and not tags.meat and not tags.seafood and not tags.precook and not tags.fungus and not tags.inedible end,
		priority = 6,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_MEDSMALL*3,		-- 24
		hunger = TUNING.CALORIES_MED*1.8,		-- 45
		perishtime = TUNING.PERISH_MED,			-- 10
		sanity = TUNING.SANITY_TINY,			-- 5
		cooktime = 0.5,
		-- Provides 20 cool for 15 seconds
	},

-- SPICED
dragon_roll =
	{	-- return vs separate ingredients: +18 Health, +29 Calories, +10 Sanity: Net +67 (Unsurpassed) - +25 comparable to Dragon Pie : Hot
		test = function(cooker, names, tags) return (tags.shellfish or tags.roe) and (names.dragonfruit or (tags.spices and tags.wrapper)) end,
		priority = 21,
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_HUGE,			-- 60 / 21 / Dragon Pie 40 (+20)
		hunger = TUNING.CALORIES_HUGE,			-- 75 / 45 / Dragon Pie 75 (+0)
		perishtime = TUNING.PERISH_FAST,		-- 6 
		sanity = TUNING.SANITY_SMALL,			-- 10 / 0 / Dragon Pie 5 (+5)
		cooktime = 1,
		-- Provides 20 heat for 30 seconds
	},

spiced_rum = -- Alcoholic drink that 'warms'
	{	-- return vs separate ingredients: -14 Health, +4 Calories, +20 Sanity: Net +10 (Good): Hot
		test = function(cooker, names, tags) return tags.spices and tags.sweetener and tags.frozen and not tags.meat and not tags.fish and not tags.egg and not tags.dairy end,
		priority = 11,
		weight = 1,
		foodtype = "GENERIC",
		health = -TUNING.HEALING_MEDSMALL,		-- -8
		hunger = TUNING.CALORIES_LARGE,			-- 37.5
		perishtime = TUNING.PERISH_SUPERSLOW,	-- 40
		sanity = TUNING.SANITY_MEDLARGE,		-- 20
		cooktime = 3,
		-- Provides 30 heat for 15 seconds
	},

-- piko_salsa (See HAM foods) priority 9
	
spiced_fish= -- Koren stew - Jjigae Spicy Fish Stew
	{	-- return vs separate ingredients: +19 health, +1 calories, +5 sanity: Net +25 (Excellent)
		test = function(cooker, names, tags) return tags.spices and tags.veggie and tags.veggie>1 and tags.fish and not tags.fruit and not tags.inedible end,
		priority = 7,
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MEDLARGE,		-- 30
		hunger = TUNING.CALORIES_LARGE,			-- 37.5
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = TUNING.SANITY_TINY,			-- 5
		cooktime = 1.5,
		-- Provides 40 heat for 30 seconds
	},
	
salad_spiced =
	{	-- return vs separate ingredients: +5 health, +3 calories, +5 sanity: Net +12 (Good)
		test = function(cooker, names, tags) return tags.spices and tags.veggie and tags.veggie >1 and tags.decoration and not tags.precook and not tags.meat and not tags.fish and not names.twigs end,
		priority = 6,
		weight = 1,
		foodtype = "GENERIC",
		health = TUNING.HEALING_MED,			-- 20
		hunger = TUNING.CALORIES_LARGE,			-- 37.5
		perishtime = TUNING.PERISH_SUPERFAST,	-- 3
		sanity = TUNING.SANITY_TINY,			-- 5
		cooktime = 1,
		-- Provides 40 heat for 20 seconds
	},
	

	
-- SNACKS RECIPEs		(Key Ingredient - Tuber or Yamion) and not tags.meat and not tags.inedible ================================================================

yamion_rings =
	{	-- return vs separate ingredients: -16 health, +25 calories, +15 sanity: Net +24 (Excellent)
		test = function(cooker, names, tags) return tags.leek and tags.leek >1 and tags.fat and not tags.meat and not tags.fish and not tags.fruit end,
		priority = 9,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_MEDLARGE,		-- 30
		hunger = TUNING.CALORIES_HUGE,			-- 75
		perishtime = TUNING.PERISH_SUPERFAST,	-- 3
		sanity = TUNING.SANITY_MED,				-- 15
		cooktime = 1,
	},
	
popcorn_buttery =
	{	-- return vs separate ingredients: -40 health, +0 calories, +33 sanity: Net -7 (Awful) -- easy to make, huge sanity boost
		test = function(cooker, names, tags) return names.corn_cooked and (tags.dairy and tags.fat) and not tags.meat and not tags.fish end,
		priority = 9,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_SMALL,			-- 3
		hunger = TUNING.CALORIES_MED*2,			-- 50
		perishtime = TUNING.PERISH_ONE_DAY,		-- 1
		sanity = TUNING.SANITY_LARGE,			-- 33
		cooktime = 1.5,
	},

twice_baked =
	{	-- return vs separate ingredients: -14 health, +25 calories, +10 sanity: Net +21 (Excellent)	
		test = function(cooker, names, tags) return (tags.tuber and tags.precook) and tags.dairy and tags.fat and tags.meat and not tags.fish and not tags.fruit end,
		priority = 6,
		weight = 1,
		foodtype = "GENERIC",
		health = TUNING.HEALING_MEDLARGE,		-- 30
		hunger = TUNING.CALORIES_HUGE,			-- 75
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = TUNING.SANITY_SMALL,			-- 10
		cooktime = 1.5,
	},

aloo_tiki =
	{	-- return vs separate ingredients: +10 health, +13 calories, +5 sanity: Net +28 (Excellent)
		test = function(cooker, names, tags) return tags.alkaline and tags.tuber and tags.veggie and tags.veggie >2 and not tags.meat and not tags.fish end,
		priority = 6,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_MEDSMALL*3,		-- 24
		hunger = TUNING.CALORIES_MED*2,			-- 50
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = TUNING.SANITY_TINY,			-- 5
		cooktime = 1.5,
	},

}	

local waitericefoods =
{
soup_broth =
	{	-- weak broth for overusing ice (approximates 2 small meat + 2 ice, spoils very fast)
		-- return vs separate ingredients: +8 health, +8 calories, +1 sanity: Net +17 (Good)	
		test = function(cooker, names, tags) return (tags.meat or tags.seafood) and tags.frozen and tags.frozen >1 and not tags.alkaline and not names.dragonfruit and not names.dragonfruit_cooked end,
		priority = 9,
		weight = 1,
		foodtype = "MEAT",
		dealth = TUNING.HEALING_MED*0.5,		-- 10 
		hunger = TUNING.CALORIES_MED,			-- 25
		perishtime = TUNING.PERISH_SUPERFAST,	-- 3
		sanity = TUNING.SANITY_SUPERTINY,		-- 1
		cooktime = 0.5,
	},

juice_waterberry =
	{	-- weak drink for overusing ice (approximates 2 berries + 2 ice) : COLD
		-- return vs separate ingredients: +4 health, +8 calories, +5 sanity: Net +17 (good)	
		test = function(cooker, names, tags) return tags.fruit and tags.frozen and tags.frozen >1 and not names.dragonfruit and not names.dragonfruit_cooked end,
		priority = 8, -- must be less than Coconut_Milk
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_SMALL*2,		-- 6
		hunger = TUNING.CALORIES_MED,			-- 25
		perishtime = TUNING.PERISH_SLOW,		-- 10
		sanity = TUNING.SANITY_TINY,			-- 5
		cooktime = 0.5,
	},
	-- Provides 20 cool for 10 seconds
	
soup_watercress =  
	{	-- small soup for overusing ice (approximates 2 vegetable + 2 ice)
		-- return vs separate ingredients: +8 health, +3 calories, +1 sanity: Net +12 (good)	
		test = function(cooker, names, tags) return tags.veggie and tags.frozen and tags.frozen >1 and not names.dragonfruit and not names.dragonfruit_cooked end,
		priority = 7,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_MEDSMALL*1.5,	-- 12
		hunger = TUNING.CALORIES_MED*0.8,		-- 20
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = TUNING.SANITY_SUPERTINY,		-- 1
		cooktime = 0.5,
	},
	
tea_floral = -- (HERBAL TEA)
	{	-- small drink flowers and ice (approximates 2 petals + 2 ice)
		-- return vs separate ingredients: +0 health, +0 calories, +10 sanity: Net +10 (good)	
		test = function(cooker, names, tags) return tags.flora and tags.flora>1 and tags.frozen and tags.frozen >1 and not names.dragonfruit and not names.dragonfruit_cooked end,
		priority = 6,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_SMALL,			-- 3
		hunger = TUNING.CALORIES_TINY*0.5,		-- 5
		perishtime = TUNING.PERISH_MED,			-- 10
		sanity = TUNING.SANITY_SMALL,			-- 10
		cooktime = 1.0,
	},	
	-- Provides 20 heat for 10 seconds	
}

local waiterflourfoods =
{
-- MOST if not all recipes that use Flour should be Superb or produce 'leftovers' of some kind.
flour_ground =
	{	-- return vs separate ingredients: +1 health, +13 Calories, -5 sanity: Net +9 (Poor), required for certain recipes
		test = function(cooker, names, tags) return ((tags.flora and tags.flora >=1) or (tags.nut and tags.nut >=1) or (tags.seed and tags.seed >=1)) and tags.starch and not tags.meat and not tags.seafood and not names.twigs end,
		priority = 9,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_SMALL*2,		-- 6
		hunger = TUNING.CALORIES_MED,			-- 25  	
		perishtime = TUNING.PERISH_SUPERSLOW,	-- 40 	
		sanity = -TUNING.SANITY_SUPERTINY,		-- -1 (Sanity Penalty)
		cooktime = 0.75,
	},

beef_maxwell = -- 'Maxwellington' (MONSTER recipe)
	{	-- return vs separate ingredients:	+15 Health, +10 Calories, +33 Sanity: Net +58 (Excellent)
		test = function(cooker, names, tags) return tags.monster and tags.monster >=1 and tags.flour and tags.meat and tags.meat >=1 and tags.fungus and not tags.poultry end,
		priority = 12,
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MED,			-- 20	
		hunger = TUNING.CALORIES_HUGE,			-- 75
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = TUNING.SANITY_LARGE,			-- 33
		cooktime = 2.5,
	},
	
takoyaki = -- SNACKS recipe
{	-- return vs separate ingredients: +18 Health, +0 Calories, +10 Sanity: Net +28 (Excellent),
		test = function(cooker, names, tags) return tags.flour and tags.seafood and (tags.fish or tags.meat) and (tags.leek or tags.alkaline) end,
		priority = 11,
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MEDLARGE,		-- 30
		hunger = TUNING.CALORIES_MED*2,			-- 50
		perishtime = TUNING.PERISH_SUPERFAST,	-- 3
		sanity = TUNING.SANITY_SMALL,			-- 10
		cooktime = 2.0,
		-- leftovers
	},

dumpling_pork = -- MEATS (pork) recipe
	{	-- return vs separate ingredients: +15 Health, +0 Calories, +10 Sanity: Net +25 (Excellent)
		test = function(cooker, names, tags) return tags.flour and tags.meat and tags.meat >=1 and tags.pungent and not tags.seafood and not tags.seed end,
		priority = 10, -- Must be Greater than kiymali_pide
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MED,			-- 20
		hunger = TUNING.CALORIES_HUGE,			-- 75
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = TUNING.SANITY_SMALL,			-- 10
		cooktime = 1,
		-- leftovers
	},	

kiymali_pide = -- turkish flatbread 'pizza' -- MEATS (Beef) recipe
	{	-- return vs separate ingredients: +1 Health, +20 Calories, +5 Sanity: Net +26 (Excellent),
		test = function(cooker, names, tags) return tags.flour and tags.meat and (tags.leek or tags.alkaline) and not tags.seafood and not tags.nut end,
		-- too close to BLT sandwich?
		priority = 9,
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MEDSMALL,		-- 8
		hunger = TUNING.CALORIES_MED*2.8,		-- 70
		perishtime = TUNING.PERISH_MED,			-- 10
		sanity = TUNING.SANITY_TINY,			-- 5
		cooktime = 2.0,
		-- leftovers
	},	


lo_mein_chicken = -- MEATS (Poultry) 
	{	-- return vs separate ingredients: +9 Health, +12 Calories, +5 Sanity: Net +26 (Excellent)			
		test = function(cooker, names, tags) return tags.flour and tags.poultry and tags.meat and tags.meat <1 and (tags.leek or tags.spices) and not tags.fungus and not tags.fish end,
		priority = 13,
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MEDSMALL*2,		-- 16
		hunger = TUNING.CALORIES_MED*2.5,		-- 62.5
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = TUNING.SANITY_TINY,			-- 5
		cooktime = 0.75,
		-- Provides 20 heat for 15 seconds	
		-- leftovers
	},

--[[
leftovers = generic
	-- return vs separate ingredients: +10 Health, +12 Calories, +5 Sanity: Net +27 (Excellent)
	health = TUNING.HEALING_MEDSMALL*2,		-- 16
	hunger = TUNING.CALORIES_LARGE,			-- 37.5
	perishtime = TUNING.PERISH_SUPERFAST,	-- 3
	sanity = TUNING.SANITY_TINY,			-- 5
	]]
	
--[[ 


NUTS & SEEDS = Dadelion Nut Tea = caffine + nut + decoration
SALADS = names.watermelon and tags.decoration and tags.decoration >1 SALAD_WATERMELON = Cooling
SNACKS = Mooncakes = Flour + Not Dragonfruit = catchall for flour
FRUITS = Fruit Flower = Fruit + Twigs + Decoration (Fruit Boquet) + no meat + no seafood
ICE = Rock Candy = Ice + Ice + Sugar + Decoration
BREADS = Flower Bread = Egg + Veggie + Decoration
MONSTER = Black Pudding = Meat + Monster + tags.seed + veggie + not tags.seafood end,
MUSHROOM = Mushroom Canape = Fungus + Decoration + Veggie + no meat + no fish (allow seafood - seaweed)

PR6 = Special/Hidden = Bacon Rose = Meat + Decoration + Twigs

=-=-=-
HAMLET Foods
=-=-=-


SALSA_PIKO - Pico de Gallo
- (names.piko or names.piko_orange ) and (tags.leek or tags.spices) and tags.veggie and tags.ceggie >1

CAKE_CAFFEINE - Tea Cakes
Cake - caffeine
tags.sweetener and tags.egg and  names,teatreee_nut_cooked

FAUX_GRASS =  -- pun, play on Foie Gras 
- tags.decoration and tags.poultry and tags.egg and not tags.precook

SALAD_BEAN = bean salad
- tags.legume and tags.veggie and tags.decoration


- Nettle Mushroom Pie
egg; mushroom; nettle; - Green Pierogi

=-=-=-=


-- flour sweetener recipe?
mooncakes =
	
Mooncake = -- regional variations can be filled with pork, chicken, duck, mushrooms,  
	-- nuts + sweetener + egg : no seafood : 
	{	-- return vs separate ingredients: +23 Health, +10 Calories, +5 Sanity: Net +43 (Excellent)
		-- catchall for flour so that players get some return if use flour in a recipe, no more than 1 unit of inedible
		test = function(cooker, names, tags) return tags.flour and not names.dragonfruit and not names.dragonfruit_cooked and (not tags.inedible or (tags.inedible and tags.inedible <=1)) end,
		priority = 6,
		weight = 1,
		foodtype = "GENERIC",
		health = TUNING.HEALING_MEDSMALL,		-- 8
		hunger = TUNING.CALORIES_MED*2.5,		-- 62.5
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = TUNING.SANITY_SMALL,			-- 10
		cooktime = 0.75,
	
		foodtype = FOODTYPE.GOODIE,
		floater = {"small", nil, 0.85},
		tags = {"honeyed"},
	},
	
	},	
	]]
	

-- SANDWICH RECIPEs	++ Health, +++ Calories, + Sanity, FAST perish 
-- SANDWICH RECIPEs	tags.flour, not eggs, not seafood, not monster
	
sandwich_blt =
	{	-- return vs separate ingredients: -9 / +7 health, +0 / +50 calories, +5 / +5 sanity: Net +62 (Outrageuous) 
		test = function(cooker, names, tags) return tags.flour and tags.meat and tags.veggie and tags.flora and not tags.egg and not tags.fish and not tags.monster end,
		priority = 13, -- Must be higher than dumplings_pork
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MEDSMALL*2,		-- 16 /16 = 32
		hunger = TUNING.CALORIES_MED*2,			-- 50 /50 = 100
		perishtime = TUNING.PERISH_MED,			-- 10 / 6
		sanity = TUNING.SANITY_TINY,			-- 5 / 5 = 10
		cooktime = 1,
	},

	
sandwich_veggie=
	{	-- return vs separate ingredients: -2 / +22 health, -10 / +27.5 calories, +5 / +10 sanity: Net +59 (Stupendous) 
		test = function(cooker, names, tags) return tags.flour and tags.veggie and tags.veggie >=2 and (tags.leek or tags.alkaline or tags.squash or tags.avacado or tags.fungus) and not tags.egg and not tags.meat and not tags.fish and not tags.monster end,
		priority = 12,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_MEDSMALL*3,		-- 24 / 24
		hunger = TUNING.CALORIES_LARGE,			-- 37.5 / 37.5
		perishtime = TUNING.PERISH_FAST,		-- 6 / 3
		sanity = TUNING.SANITY_TINY,			-- 5 / 5 
		-- stacksize = 2,
        cooktime = 0.5,
	},	
	
sandwich_croque =
	{	-- return vs separate ingredients: -13 / -5 health, +6 / +62 calories, +5 / +10 sanity: Net +63 (Outrageous) 
		test = function(cooker, names, tags) return tags.flour and tags.meat and tags.egg and not tags.seafood and not tags.monster end,
		priority = 12,
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MEDSMALL,		-- 8 / 8
		hunger = TUNING.CALORIES_LARGE*1.4,		-- 52.5 / 52.5
		perishtime = TUNING.PERISH_FAST,		-- 6 / 3
		sanity = TUNING.SANITY_TINY,			-- 5 / 5
		cooktime = 1.5,
	},	

sandwich_banana =
	{	-- return vs separate ingredients: -16 / -6 health, +3 / +53  calories, +10 / +20 sanity: Net +67 (Outrageous) 
		test = function(cooker, names, tags) return tags.flour and (names.cave_banana or tags.banana) and tags.sweetener and not tags.egg and not tags.seafood and not tags.monster end,
		priority = 12, -- must be higher than sandwich_jam
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_MED*0.5,		-- 10 / 10
		hunger = TUNING.CALORIES_MED*2,			-- 50 / 50
		perishtime = TUNING.PERISH_MED,			-- 10 / 6
		sanity = TUNING.SANITY_SMALL,			-- 10 / 10
		cooktime = 1,
		-- tags = {"honeyed"},
		},		
	
sandwich_jam =
	{	-- return vs separate ingredients: -15 / -7 health, -12/ +38 calories, +10 / +20 sanity: Net +51 (Stupendous) 
		test = function(cooker, names, tags) return tags.flour and tags.fruit and tags.fruit >=2 and not tags.egg and not tags.meat and not tags.seafood and not tags.monster end,
		priority = 11, -- must be greater than fruit_leather
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_MEDSMALL,		-- 8 / 8
		hunger = TUNING.CALORIES_MED*2,			-- 50 / 50
		perishtime = TUNING.PERISH_FAST,		-- 6 / 3
		sanity = TUNING.SANITY_SMALL,			-- 10 / 10
		cooktime = 0.5,
		-- tags = {"honeyed"},
	},	
	
mooncake_simple =	
	{	-- return vs separate ingredients: -15 / -7 health, -12/ +38 calories, +10 / +20 sanity: Net +51 (Stupendous) 
		test = function(cooker, names, tags) return tags.flour and (not tags.inedible or (tags.inedible and tags.inedible <= 1)) end,
		priority = 8,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_MED,			-- 20
		hunger = TUNING.CALORIES_LARGE,			-- 37
		perishtime = TUNING.PERISH_SUPERFAST,	-- 3
		sanity = TUNING.SANITY_TINY,			-- 5
		cooktime = 1,
	},	

}



local waitermushroomfoods = --Kept separate in for configuration, player can disable mushroom recpies
{
-- MUSHROOM DISHES	+Health, ++Calories, =Sanity, FAST perishtime
-- MUSHROOM RECIPEs			tags.mushrooms or tags.fungus and not tags.fruit (no tomango on burger?) and not tags.spices

mushroom_medley =
	{	-- return vs separate ingredients (Raw Blue / Cooked Green / Raw Red): +31 Health, +12 Calories, +20 Sanity: Net +51 (Superb)
		test = function(cooker, names, tags) return tags.blue_cap and tags.green_cap and tags.red_cap and not tags.fruit end,
		priority = 9,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_MEDLARGE,		-- 30		/ Raw Blue	+20 	/ Cooked Green -1	/ Raw Red	-20
		hunger = TUNING.CALORIES_LARGE,			-- 37.5		/ Raw Blue 	+12.5	/ Cooked Green +0	/ Raw Red	+12.5
		perishtime = TUNING.PERISH_ONE_DAY,		-- 1		
		sanity = TUNING.SANITY_MEDLARGE,		-- 20		/ Raw Blue 	-15 	/ Cooked Green +15	/ Raw Red	+0
		cooktime = 1,
	},
	
mushroom_burger =
	{	-- return vs separate ingredients: Varies greatly depending on mushrooms used : Net ?? (Good to Excellent)
		test = function(cooker, names, tags) return tags.mushrooms and tags.mushrooms ==2 and tags.meat and tags.meat <= 1 and not names.twigs and not tags.fruit end,
		priority = 8,
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MED,			-- 20
		hunger = TUNING.CALORIES_MED*2,			-- 50
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = TUNING.SANITY_TINY,			-- 5
		cooktime = 1.5,
	},

citrus_mushroom =
	{	-- return vs separate ingredients: +13 health; +0 Calories; +15 sanity : Net +28 (Excellent)
		test = function(cooker, names, tags) return tags.fungus and tags.veggie and tags.veggie >=1 and names.twigs and tags.citrus end,
		priority = 8, -- must remain higher than mushroom malodoy (7)
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_MED,			-- 20
		hunger = TUNING.CALORIES_LARGE,			-- 37.5
		perishtime = TUNING.PERISH_MED,			-- 10
		sanity = TUNING.SANITY_MED,				-- 15
		cooktime = 1,
	},

mushroom_malody =
	{	-- return vs separate ingredients (double laest harmful of each mushroom's least beneficial trait): -1 Health, +12 Calories, +0 Sanity: Net +11 (Good) - still a very bad dish to eat
		test = function(cooker, names, tags) return tags.fungus and tags.fungus >=2 and not names.dragonfruit and not names.dragonfruit_cooked end,
		priority = 7,
		weight = 1,
		foodtype = "VEGGIE", -- TOXIC
		health = -TUNING.HEALING_SMALL,			-- (-3)		/ Blue	-3 		/ "Green" -1 *2	/ Red	-20
		hunger = TUNING.CALORIES_SMALL,			-- 12.5		/ "Blue" +0 *2	/ Green +0		/ Red	+0
		perishtime = TUNING.PERISH_MED,			-- 10
		sanity = -TUNING.SANITY_MEDLARGE,		-- (-20)	/ Blue	-15 	/ Green -50		/ "Red"	-10 *2
		cooktime = 1,
	},

mushroom_stew =
	{	-- return vs separate ingredients: +14/-11 Health, +12/+13 Calories, +8/+15 Sanity: Net +34/+17 (Superb / Good if use butter)
		test = function(cooker, names, tags) return tags.fungus and tags.dairy and tags.veggie and tags.veggie >=1 and not tags.meat and not tags.fish and not tags.fruit end,
		priority = 4,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_MEDLARGE,		-- 30	: milk 2	: 	: coconut milk 3
		hunger = TUNING.CALORIES_MED*2,			-- 50	: milk 9	: 	: coconut milk 19
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = TUNING.SANITY_MED,				-- 15	: milk 7	: 	: coconut milk 3
		cooktime = 1,
	},
}

local warley_bad_recipe = -- for some reason when added to warley's cookpot these takes on a higher priority, made into separate listing so as to not add to warley
{
--EGGS
mushy_eggs =
	{	-- return vs separate ingredients: +7 Health, -20 Calories, +1 Sanity: Net -12 (Awful)
		test = function(cooker, names, tags) return tags.egg and (not tags.meat or (tags.meat and tags.meat <1)) and not tags.sweetener and not tags.inedible end,
		priority = -1,							-- same as meatballs
		weight = 2,
		foodtype = "MEAT",						-- tagged as meat since it results from spoiled omelette
		health = TUNING.HEALING_MED*0.5,		-- 10		Stale Omelette 10		Spoiled Omelette 0
		hunger = TUNING.CALORIES_MEDSMALL,		-- 18.75	Stale Omelette 33		Spoiled Omelette 25
		perishtime = TUNING.PERISH_FAST,		-- 6		
		sanity = TUNING.SANITY_SUPERTINY,		-- 1		Stale Omelette 0		Spoiled Omelette -10	
		cooktime = 0.5,
	},

}
  
local RoGwaiterfoods = --REQUIRES names.watermelon OR names.mole 
{
--DESSERT
mush_melon =
	{	-- return vs separate ingredients: +2 health, +15 calories, -2 sanity: Net +15 / +14 (Good)	
		test = function(cooker, names, tags) return tags.green_cap and (names.watermelon or names.watermelon_cooked) and tags.sweetener and not tags.meat and not tags.fish and not tags.egg end,
		priority = 9,
		weight = 1,
		foodtype = "GENERIC",
		health = TUNING.HEALING_MEDSMALL,		-- 8	/ _cooked	12		(Ingredients 3)
		hunger = TUNING.CALORIES_LARGE,			-- 37.5	/ _cooked	18.75	(Ingredients 22.5)
		perishtime = TUNING.PERISH_SUPERSLOW,	-- 40	/ _cooked	3
		sanity = TUNING.SANITY_MEDLARGE,		-- 20	/ _cooked	33		(Ingredients 22.5)
		cooktime = 2,
		-- tags = {"honeyed"}
	},

--INGREDIENT
molasses =		
	{	-- return vs separate ingredients: +7 Health, -12 Calories, +5 Sanity: Net +0 (Poor)
		test = function(cooker, names, tags) return names.mole and names.twigs and tags.fruit and tags.meat and tags.meat <1 and not tags.fish and not tags.egg end,
		priority = 9,
		weight = 1,
		foodtype = "GENERIC",
		health = TUNING.HEALING_MED*0.5,		-- 10		/	honey =3
		hunger = TUNING.CALORIES_LARGE,			-- 25		/	honey = 9.375
		perishtime = TUNING.PERISH_SUPERSLOW,	-- 40		/	honey 40 days
		sanity = TUNING.SANITY_TINY,			-- 5		/	honey = 0
		cooktime = 2,
		-- tags = {"honeyed"}		
	},
}

local CAPYwaiterfoods = --REQUIRES names.coconut, tags.shellfish, names.crab, OR names.wobster
{
-- INGREDIENT
coconut_milk =
	{	-- return vs separate ingredients: -1 health, -2 Calories, +5 sanity: Net +2, Provides Milk, Dairy Ingredient 	
		test = function(cooker, names, tags) return (names.coconut_halved or names.coconut_cooked) and tags.nut and tags.nut ==1 and tags.frozen and tags.frozen >=2 end,
		priority = 9, -- must be higher than juice_waterberry 
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_SMALL,			-- 3 		/ Electric Milk = 2 	/ Jam = 3
		hunger = TUNING.CALORIES_MEDSMALL,		-- 18.75 	/ Electric Milk = 9		/ Jam = 37.5
		perishtime = TUNING.PERISH_FAST,		-- 6		/ Electric Milk 6 Days	/ Jam 15 Days
		sanity = TUNING.SANITY_SUPERTINY*3,		-- 3 		/ Electric Milk = 7		/ Jam = 5
		cooktime = 1,
	},
	
-- LIQUOR RECIPEs	INCREASE SANITY ON INDICATED / INCREASE COLD on ++MARGARITA and +?DAIQUIRI 
pina_colada =
	{	-- return vs separate ingredients: -15 health, +4 calories, +25 sanity: Net +14 (Good)
		test = function(cooker, names, tags) return (names.coconut_halved or names.coconut_cooked) and tags.sweetener and tags.frozen and names.papayanapple end,
		priority = 11,
		weight = 1,
		foodtype = "GENERIC",
		health = -TUNING.HEALING_MEDSMALL,		-- -8
		hunger = TUNING.CALORIES_LARGE,			-- 37.5
		perishtime = TUNING.PERISH_SUPERSLOW,	-- 40
		sanity = TUNING.SANITY_SMALL*2.5,		-- 25
		cooktime = 3,
		-- Provides 40 cool for 10 seconds
	},

-- MEAT (Shelfish) RECIPEs offer 	+health, +calories, +sanity, MED persih : certain recipes emulate cakes/desserts 
-- MEAT (Shellfish) RECIPEs			(tags.shellfish or names.<shellfish>) and not tags.meat and not tags.frozen
	
lobster_faked = 
	{	-- return vs separate ingredients: -2 health, -9 Calories, +40 sanity: Net +29 (Excellent),
		test = function(cooker, names, tags) return (names.lobster or names.lobster_dead) and tags.dairy and tags.fat and not tags.nut and not tags.meat and not tags.frozen end,
		priority = 20,
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_LARGE,			-- 40
		hunger = TUNING.CALORIES_LARGE,			-- 37.5
		perishtime = TUNING.PERISH_SLOW,		-- 15
		sanity = TUNING.SANITY_MEDLARGE*2,		-- 40
		cooktime = 1,
		-- tags = {"catfood"}	
	},
	
cake_crab =
	{	-- return vs separate ingredients: +6 Health, +21 Calories, +15 Sanity: Net +24 (Excellent)
		test = function(cooker, names, tags) return tags.egg and tags.sweetener and names.crab and tags.fish and tags.fish <=0.5 and not names.twigs and not tags.meat and not tags.frozen and not tags.nut end,
		priority = 10,
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MED*0.5,		-- 10	/ Fishsticks 40
		hunger = TUNING.CALORIES_MED*2.2,		-- 55	/ Fishsticks 37
		perishtime = TUNING.PERISH_MED,			-- 10
		sanity = TUNING.SANITY_MED,				-- 15	/ Fishsticks 5
		cooktime = 2,
		-- tags = {"honeyed"}	
		-- tags = {"catfood"}	
	},	
	
}


local PORKLANDwaiterfoods = --REQUIRES names.coconut, tags.shellfish, names.crab, OR names.wobster
{
-- INGREDIENT
piko_salsa =
	{	-- return vs separate ingredients: +5 health, +13 Calories, +5 sanity: Net +23 (Excellent)
		test = function(cooker, names, tags) return (names.piko or names.piko_orange) and (tags.spices or tags.shell) and tags.veggie and tags.veggie >1 end,
		priority = 9,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_MEDSMALL*1.5,	-- 12
		hunger = TUNING.CALORIES_MED*2,			-- 50
		perishtime = TUNING.PERISH_MED,			-- 10
		sanity = TUNING.SANITY_TINY,			-- 5
		cooktime = 0.75,
	},
-- Provides 20 HEAT for 15 seconds
}



--[[	
REFERNCE LIST FOR CALORIES, SPOIL RATE, HEALING, and SANITY (again)

		HEALING_TINY = 1,
	    HEALING_SMALL = 3,
	    HEALING_MEDSMALL = 8,
	    HEALING_MED = 20,
	    HEALING_MEDLARGE = 30,
	    HEALING_LARGE = 40,
	    HEALING_HUGE = 60,
	    HEALING_SUPERHUGE = 100,
		
		CALORIES_TINY = calories_per_day/8, -- berries (9.375)
		CALORIES_SMALL = calories_per_day/6, -- veggies (12.5)
		CALORIES_MEDSMALL = calories_per_day/4, (18.75)
		CALORIES_MED = calories_per_day/3, -- meat (25)
		CALORIES_LARGE = calories_per_day/2, -- cooked meat (37.5)
		CALORIES_HUGE = calories_per_day, -- crockpot foods? (75)
		CALORIES_SUPERHUGE = calories_per_day*2, -- crockpot foods? (150)
			
		PERISH_ONE_DAY = 1*total_day_time*perish_warp,
		PERISH_TWO_DAY = 2*total_day_time*perish_warp,
		PERISH_SUPERFAST = 3*total_day_time*perish_warp,
		PERISH_FAST = 6*total_day_time*perish_warp,
		PERISH_FASTISH = 8*total_day_time*perish_warp, (RoG Only)
		PERISH_MED = 10*total_day_time*perish_warp,
		PERISH_SLOW = 15*total_day_time*perish_warp,
		PERISH_PRESERVED = 20*total_day_time*perish_warp,
		PERISH_SUPERSLOW = 40*total_day_time*perish_warp,
		
		SANITY_SUPERTINY = 1,
	    SANITY_TINY = 5,
	    SANITY_SMALL = 10,
	    SANITY_MED = 15,
	    SANITY_MEDLARGE = 20,
	    SANITY_LARGE = 33,
	    SANITY_HUGE = 50,
		
		seeds ( 0 health ; 4.6 calories) seeds_cooked ( 1 health ; 4.6 calories)
		batlisk wings ( 3 health ; 12.5 calories ; -10 sanity ) _cooked ( 8 health ; 18.75 calories)
		
		HOT_FOOD_BONUS_TEMP = 40,
		COLD_FOOD_BONUS_TEMP = -40,
		FOOD_TEMP_BRIEF = 5,
		FOOD_TEMP_AVERAGE = 10,
		FOOD_TEMP_LONG = 15,
		
		cooktime = 0.5 = 10 seconds (raw foods, frozen foods, lasagna, chilli, jam, waffles)
		cooktime = 0.75 = 20 seconds (meatballs, meaty stew)
		cooktime = 1.0 = 20 seconds (soups, seafoods)
		cooktime = 2.0 = 40 seconds (baked goods, fishsticks, muffin, pie, ham, taffy)
		cooktime = 3.0 = 60 seconds (turkey dinner, mandrake soup)
		
	]]



-- ADD RECIPE BLOCK
W101_FROZEN = GetModConfigData("waiter_frozen") + 0	
W101_MUSHROOMS = GetModConfigData("waiter_mushrooms") + 0	
W101_PETALS = GetModConfigData("waiter_cookablepetals") + 0
-- This should force to numerical for old saves


-- Add these no mater which version of the game is being played
	-- Add all waiterfoods (ie core game recipes) to regular cookpot
		for k,v in pairs(waiterfoods) do
			v.name = k
			v.weight = v.weight or 1
			v.priority = v.priority or 0
		end
 		for k,recipe in pairs(waiterfoods) do
			AddCookerRecipe("cookpot", recipe)
		end
			
		
	-- Add all alternate mushroom recipes to regular cookpot if option is enabled
	if W101_MUSHROOMS > 0 then
		for k,v in pairs(waitermushroomfoods) do
			v.name = k
			v.weight = v.weight or 1
			v.priority = v.priority or 0
		end
		for k,recipe in pairs(waitermushroomfoods) do
			AddCookerRecipe("cookpot", recipe)
		end
	end

	-- Add all ice ingredient penalty recipes to regular cookpots if option is enabled
	if 	W101_FROZEN > 0 then
		for k,v in pairs(waitericefoods) do
			v.name = k
			v.weight = v.weight or 1
			v.priority = v.priority or 0
		end
		for k,recipe in pairs(waitericefoods) do
			AddCookerRecipe("cookpot", recipe)
		end
	end

	-- Add cookable petals and all flour recipes to regular cookpot if option is enabled
	if W101_PETALS > 0 then
		for k,v in pairs(waiterflourfoods) do
			v.name = k
			v.weight = v.weight or 1
			v.priority = v.priority or 0
		end

		for k,recipe in pairs(waiterflourfoods) do
			AddCookerRecipe("cookpot", recipe)
		end
	end
		
	-- Add 'warley_bad_recipe' (ie mushy eggs) to regular cookpot
		for k,v in pairs(warley_bad_recipe) do
			v.name = k
			v.weight = v.weight or 1
			v.priority = v.priority or 0
		end
			for k,recipe in pairs(warley_bad_recipe) do
			AddCookerRecipe("cookpot", recipe)
		end
	
-- IF NOT PLAYING DST
if GLOBAL.TheSim:GetGameID()~="DST" then

	-- NOT DST ... and also either SHIPWRECKED or HAMLET is enabled
	if GLOBAL.IsDLCEnabled(GLOBAL.CAPY_DLC) or GLOBAL.IsDLCEnabled(GLOBAL.PORKLAND_DLC) then

	 -- Add CAPYwaiterfoods (ie shipwrecked recipes) to both cookpots
		for k,v in pairs(CAPYwaiterfoods) do
			v.name = k
			v.weight = v.weight or 1
			v.priority = v.priority or 0
		end
		for k,recipe in pairs(CAPYwaiterfoods) do
			AddCookerRecipe("cookpot", recipe)
			AddCookerRecipe("portablecookpot", recipe)
		end

	 -- Add ROGwaiterfoods (ie RoG recipes) to both cookpots
		for k,v in pairs(RoGwaiterfoods) do
			v.name = k
			v.weight = v.weight or 1
			v.priority = v.priority or 0
		end
		for k,recipe in pairs(RoGwaiterfoods) do
			AddCookerRecipe("cookpot", recipe)
			AddCookerRecipe("portablecookpot", recipe)
		end
	
	-- Add all waiterfoods (ie core game recipes) to PORTABLE cookpot only
		for k,v in pairs(waiterfoods) do
			v.name = k
			v.weight = v.weight or 1
			v.priority = v.priority or 0
		end
		for k,recipe in pairs(waiterfoods) do
			AddCookerRecipe("portablecookpot", recipe)
		end
			
	 -- Add 'warley_bad_recipe' to portable cookpot only
	 -- Do not add to warley's pot, these become higher priority than normal recipes due to prioritizing of warley's cookpot recipes
	--[[
		for k,v in pairs(warley_bad_recipe) do
			v.name = k
			v.weight = v.weight or 1
			v.priority = v.priority or 0
		end
	
		for k,recipe in pairs(warley_bad_recipe) do
			AddCookerRecipe("portablecookpot", recipe) -- Add bad_eggs_recipe (ie mushy_eggs) to portable cook pot
		end
	]]
	
	-- Add all alternate mushroom recipes to PORTABLE cookpot if option is enabled
	if W101_MUSHROOMS > 0 then
		for k,v in pairs(waitermushroomfoods) do
			v.name = k
			v.weight = v.weight or 1
			v.priority = v.priority or 0
		end
		for k,recipe in pairs(waitermushroomfoods) do
			AddCookerRecipe("portablecookpot", recipe)
		end
	end

	-- Add all ice ingredient penalty recipes to PORTABLE cookpot if option is enabled

	if W101_FROZEN > 0 then
		for k,v in pairs(waitericefoods) do
			v.name = k
			v.weight = v.weight or 1
			v.priority = v.priority or 0
		end
		for k,recipe in pairs(waitericefoods) do
			AddCookerRecipe("portablecookpot", recipe)
		end
	end
	
	-- Add cookable petals and all flour recipes to PORTABLE cookpot if option is enabled
	if W101_PETALS > 0 then
		for k,v in pairs(waiterflourfoods) do
			v.name = k
			v.weight = v.weight or 1
			v.priority = v.priority or 0
		end
		for k,recipe in pairs(waiterflourfoods) do
			AddCookerRecipe("portablecookpot", recipe)
		end
	end
	
		
	-- ... NOT DST and also ROG is enabled (instead of Shipwrecked or Hamlet)
	
	elseif GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
		
	 -- Add ROGwaiterfoods (ie RoG recipes) to regular cookpot
		for k,v in pairs(RoGwaiterfoods) do
			v.name = k
			v.weight = v.weight or 1
			v.priority = v.priority or 0
		end
		  
		for k,recipe in pairs(RoGwaiterfoods) do
			AddCookerRecipe("cookpot", recipe)
		end

	end

	-- ... NOT DST and also PORKLAND is enabled
	if GLOBAL.IsDLCEnabled(GLOBAL.PORKLAND_DLC) then
		
	-- Add Porkland recipes to BOTH cookpots
		for k,v in pairs(PORKLANDwaiterfoods) do
			v.name = k
			v.weight = v.weight or 1
			v.priority = v.priority or 0
		end
		  
		for k,recipe in pairs(PORKLANDwaiterfoods) do
			AddCookerRecipe("cookpot", recipe)
			-- AddCookerRecipe("portablecookpot", recipe) -- comented out until tested
		end
	end	
	

end

--- IF Mod is running in a DON'T STARVE TOGETHER game instead of ROG
if GLOBAL.TheSim:GetGameID()=="DST" then
 	
	-- Add ROGwaiterfoods (ie RoG recipes) to regular cookpot
	-- Does not add CAPY or PORKLAND recipes, does NOT add to portable cookpot
	for k,v in pairs(RoGwaiterfoods) do
		v.name = k
		v.weight = v.weight or 1
		v.priority = v.priority or 0
	end
	for k,recipe in pairs(RoGwaiterfoods) do
		AddCookerRecipe("cookpot", recipe)
	end

end

local foodprefabs = {}


--[[




=-=-=
UNLIKELY Impliments

Monsters? 	
Coconut Crab/Crabapple -  creature? seafood/shellfish/fruit
Figuana ? Plant craving lizard creature

=-=-=-=
WARLEY ONLY Foods
	
>> CAKE
	Coffee cake? (Caffe Cake?) - pun coffee/caffeine/cafe
Smoked Salmon?  1 Fish, Cooked + 1 Citrus + ?, NO Fruit, sweeteners, nuts, or inedibles.
Shellfish Cocktail~
Ikizukuri - Can Increase naughtiness? see sharkfin soup
Live Jellyfish + ? ? 

REJECTED IDEAS

Jiaozi

Mochi = Flour + Sweetener + filler + filler (No meat, no fish, no shellfish)

fritters =
	{	-- return vs separate ingredients: +23 Health, +10 Calories, +5 Sanity: Net +43 (Excellent)
		-- catchall for flour - should providce good (at least 60) return due to using flour.	
		test = function(cooker, names, tags) return tags.flour and not names.dragonfruit and not names.dragonfruit_cooked end,
		priority = 1,
		weight = 1,
		foodtype = "GENERIC",
		health = TUNING.HEALING_MEDSMALL,		-- 8
		hunger = TUNING.CALORIES_MED*2.5,		-- 62.5
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = TUNING.SANITY_SMALL,			-- 10
		cooktime = 0.75,
	},

noodle_soup =
	{	-- return vs separate ingredients: +23 Health, +10 Calories, +5 Sanity: Net +43 (Excellent)
		test = function(cooker, names, tags) return tags.flour and tags.frozen and tags.frozen >1 end,
		priority = 11,
		weight = 1,
		foodtype = "GENERIC",
		health = TUNING.HEALING_MEDLARGE,		-- 30
		hunger = TUNING.CALORIES_MED*2.5,		-- 62.5
		perishtime = TUNING.PERISH_FAST,		-- 6
		sanity = TUNING.SANITY_TINY,			-- 5
		cooktime = 0.75,
	},

	-- Leftover -- generic soup - see other soups

dangog = -- bosintang, dangogiguk, Dog Soup 
		{	-- return vs separate ingredients: -4 health, -2 calories, +20 sanity: Net +14 (Good)
		test = function(cooker, names, tags) return tags.monster and tags.meat and tags.veggie and tags.flora and tags.pungent and not tags.inedible end,
		priority = 11,
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MEDSMALL*0.5,	-- 4
		hunger = TUNING.CALORIES_LARGE,			-- 37.5
		perishtime = TUNING.PERISH_MED,			-- 10
		sanity = TUNING.SANITY_SMALL,			-- 10
		cooktime = 4.0,
	},

]]